import { Action } from '@ngrx/store';
// TODO: remove dependency on cart
import { DeliveryPointOfService, PickupEntry } from '../modules/cart/models/pick-up.interface';
import { CartLocatorStore as CartStoreLocatorStore } from '../models/cart-store-locator.interface';

// Pick Up Store Selector
export const OPEN_PICK_UP_STORE_SELECTOR = '[Modal] OPEN_PICK_UP_STORE_SELECTOR';
export class OpenPickUpStoreSelectorAction implements Action {
    readonly type = OPEN_PICK_UP_STORE_SELECTOR;
    constructor(
        private open: boolean,
        private deliveryPOS: DeliveryPointOfService,
        private entry: PickupEntry,
        private fulfillmentType: string,
        private section: string
    ) {}
}

export const CLOSE_PICK_UP_STORE_SELECTOR = '[Modal] CLOSE_PICK_UP_STORE_SELECTOR';
export class ClosePickUpStoreSelectorAction implements Action {
    readonly type = CLOSE_PICK_UP_STORE_SELECTOR;
    constructor() {}
}

export const LOAD_PICK_UP_STORES = '[Modal] LOAD_PICK_UP_STORES';
export class LoadPickUpStoresAction implements Action {
    readonly type = LOAD_PICK_UP_STORES;
    constructor(
        private entryNumber: number,
        private section: string,
        private query: string
    ) {}
}

export const LOAD_STORE_PICK_UP_SUCCESS = '[Modal] LOAD_STORE_PICK_UP_SUCCESS';
export class LoadPickUpStoresSuccessAction implements Action {
    readonly type = LOAD_STORE_PICK_UP_SUCCESS;
    constructor(
        private stores: Array<CartStoreLocatorStore>
    ) {}
}

export type ModalActions =
    OpenPickUpStoreSelectorAction |
    ClosePickUpStoreSelectorAction |
    LoadPickUpStoresAction |
    LoadPickUpStoresSuccessAction;
