export interface CartStoreLocator {
  locationText: string;
  pagination: Pagination;
  stores: CartLocatorStore[];
}

 export interface CartLocatorStore {
  isPickUpToday: boolean;
  address: Address;
  displayName: string;
  geoPoint: GeoPoint;
  name: string;
  openingHours: OpeningHours;
  description?: string;
}

interface OpeningHours {
  code: string;
  weekDayOpeningList: WeekDayOpeningList[];
}

interface WeekDayOpeningList {
  closingTime: ClosingTime;
  openingTime: ClosingTime;
  closed: boolean;
  weekDay: string;
}

interface ClosingTime {
  formattedHour: string;
  hour: number;
  minute: number;
}

interface GeoPoint {
  latitude: number;
  longitude: number;
}

interface Address {
  billingAddress: boolean;
  country: Country;
  defaultAddress: boolean;
  formattedAddress: string;
  id: string;
  line1: string;
  phone: string;
  postalCode: string;
  region: Region;
  shippingAddress: boolean;
  town: string;
  visibleInAddressBook: boolean;
  paypalAddress?: boolean;
}

interface Region {
  countryIso: string;
  isocode: string;
  isocodeShort: string;
  name: string;
}

interface Country {
  isocode: string;
  name: string;
}

interface Pagination {
  currentPage: number;
  pageSize: number;
  totalPages: number;
  totalResults: number;
}
