export interface TrendingProduct {
    pageid: string;
    schemes: Scheme[];
}

interface Scheme {
    explanation: string;
    items: Item[];
    scheme: string;
}

export interface Item {
    articleType: string;
    averageRating: number;
    bopis: boolean;
    buyable: boolean;
    code: string;
    depotDirect: boolean;
    description: string;
    images: Image[];
    isOnlineOrStore: string;
    manufacturer: string;
    messageType: number;
    name: string;
    numberOfReviews: number;
    optimizedPrice: OptimizedPrice;
    sellableIntent: string;
    unitOfMeasure: string;
    url: string;
}

interface OptimizedPrice {
    availabilityMsg: string;
    displayPrice?: DisplayPrice;
    endDate: string;
    productId: string;
    regprice: DisplayPrice;
    savingsAmount: DisplayPrice;
    storeId: string;
    percentSaving?: string;
    promoprice?: DisplayPrice;
    wasprice?: DisplayPrice;
}

interface DisplayPrice {
    currencyIso: string;
    formattedValue: string;
    priceType: string;
    value: number;
}

interface Image {
    url: string;
}
