import { Action } from '@ngrx/store';
import { ComponentRenderRecord, HttpReturnRecord } from '../models/web-performance.interface';

export enum WebPerformanceActions {
  WebPerformanceUpdateRecord = '[Event Transceiver - Web Performance] Update Record',
  WebPerformanceCalculateFirstMeaningfulPaint = '[Event Transceiver - Web Performance] Calculate First Meaningful Paint',
  WebPerformanceReturnStore = '[Event Transceiver - Web Performance] Return Store',
  WebPerformanceUpdateHttpRecord = '[Event Transceiver - Web Performance] Update Http Record'
}

export class WebPerformanceUpdateRecord implements Action {
  readonly type = WebPerformanceActions.WebPerformanceUpdateRecord;
  constructor(public componentRenderList: Array<ComponentRenderRecord>, public httpRenderList: Array<HttpReturnRecord>) {}
}

export class WebPerformanceCalculateFirstMeaningfulPaint implements Action {
  readonly type = WebPerformanceActions.WebPerformanceCalculateFirstMeaningfulPaint;
  constructor(public componentPayload: Array<string>, public httpPayloadFlag: boolean, public httpPayload: Array<string>) {}
}

export class WebPerformanceReturnStore implements Action {
  readonly type = WebPerformanceActions.WebPerformanceReturnStore;
  constructor() {}
}

export class WebPerformanceUpdateHttpRecord implements Action {
  readonly type = WebPerformanceActions.WebPerformanceUpdateHttpRecord;
  constructor(public payload: HttpReturnRecord) {}
}
