export enum languageTypes {
  en = 'English',
  fr = 'French'
}

export enum eventTypes {
  pageLoad = 'Page Load',
  pipAddToCart = '[PIP] Add To Cart',
  pipClickElement = '[PIP] Click Element',
  superSkuSwitch = 'Super Sku Switch',
  pipPETA = '[PIP] PETA Update',
  carouselItemClick = 'Carousel Item Click',
  siteError = 'Site Error',
  contactUsClickElement = 'Contact Us Click Element'
}

export enum carouselTypes {
  certona = 'certona',
  fbt = 'fbt',
  collections = 'collections',
  modalCertona = 'modalCertona',
  bloomreach = 'bloomreach'
}

export enum systemEnvironments {
  desktop = 'Desktop',
  tablet = 'Tablet',
  mobile = 'Mobile',
  web = 'Web'
}

export enum pageTypes {
  pip = 'product page',
  weeklyFlyer = 'weekly flyer page',
  nullSearch = 'Null Search Result',
  contactUs = 'contact us'
}

export enum stockAvailabilityTypes {
  inStock = 'inStock',
  backOrder = 'backOrder',
  outOfStock = 'outOfStock'
}

export enum shippingMethodTypes {
  bopis = 'bopis',
  bodfs = 'bodfs',
  boss = 'boss',
  shipToHome = 'sth',
  appliance = 'appliance'
}

export enum productInteractionLocationTypes {
  primary = 'primary',
  certona = 'certona',
  fbt = 'fbt',
  collections = 'collections',
  modalCertona = 'modalCertona',
  accessories = 'accessories',
  modalChangePickupStore = 'modalChangePickupStore',
  weeklyFlyer = 'weeklyFlyer',
  nullSearchCarousel = 'nullSearchCarousel',
  bloomreach = 'bloomreach'
}

export enum userGuestStatusTypes {
  anonymous = 'anonymous',
  registered = 'registered'
}

export enum userProfileTypes {
  regular = 'Consumer',
  proxtra = 'Contractor',
  associate = 'Associate'
}

// UI Definition
export enum clickElementTypes {
  link = 'link',
  stickyNav = 'stickyNav',
  breadcrumb = 'breadcrumb',
  imageViewerMain = 'imageViewerMain',
  imageViewerModal = 'imageViewerModal',
  imageViewerModalZoom = 'imageViewerModalZoom',
  brRelatedSearches = 'brRelatedSearches'
}

// Business Definition
export enum clickElementSubTypes {
  phone = 'phone',
  sms = 'sms',
  customerSupport = 'customerSupport',
  customerSupportFAQ = 'customerSupportFAQ',
  privacySecurityStatement = 'privacySecurityStatement',
  homeServices = 'homeServices',
  creditServices = 'creditServices',
  proXtra = 'proXtra',
  homeDepotCanadaFoundation = 'homeDepotCanadaFoundation',
  submissionTermsConditions = 'submissionTermsConditions'
}

export enum clickElementValues {
  overview = 'overview',
  specifications = 'specifications',
  reviews = 'reviews',
  ratings = 'ratings',
  expand = 'expand',
  close = 'close'
}

export enum siteErrorTypes {
  serverError = 'serverError',
  inputError = 'inputError',
  formError = 'formError'
}

export enum siteServerErrorMessages {
  GET_PRODUCT_VARIANTS_OPTIMIZED_PRICE = '[PRODUCT][SUPERSKU] - Failed to retrieve optimized price for product variants.',
  GET_TRENDING_PRODUCTS = '[PRODUCT][TRENDING PRODUCTS] - Failed to retrieve trending products.',
  GET_TRENDING_PRODUCTS_ACCESSORIES = '[PRODUCT][TRENDING PRODUCTS][ACCESSORIES] - Failed to retrieve trending products - ACCESSORIES.',
  GET_TRENDING_PRODUCTS_COLLECTIONS = '[PRODUCT][TRENDING PRODUCTS][COLLECTIONS] - Failed to retrieve trending products - COLLECTIONS.',
  GET_BAZAAR_VOICE_TOKEN = '[PRODUCT][BAZAAR VOICE] - Failed to retrieve Bazaar Voice Token.',
  GET_ESTIMATE_SHIPPING = '[PRODUCT] - Failed to retrieve Estimated shipping data.',
  GET_BODFS_ESTIMATE_LOCALIZED = '[PRODUCT][BODFS] - Failed to retrieve BODFS estimates.',
  GET_FREQUENTLY_BOUGHT_LOCALIZED = '[PRODUCT][FBT] - Failed to retrieve FBT Localized.',
  GET_APPLIANCE_AVAILABILITY = '[PRODUCT][APPLIANCE] - Failed to retrieve appliance availability.',
  GET_NULL_SEARCH_RELATED_QUERIES = '[SEARCH][NULL SEARCH] - Failed to retrieve null search related queries.',
  GET_PRODUCT_RECOMMENDATIONS = '[SEARCH][PRODUCT RECOMMENDATIONS] - Failed to retrieve product recommendations.'
}

export enum httpMethods {
  get = 'GET',
  post = 'POST',
  put = 'PUT',
  delete = 'DELETE'
}
