import { NgModule, ModuleWithProviders } from '@angular/core';

import { EventTransceiverService } from './services/event-transceiver.service';
import { AdobeAnalyticsService } from './services/adobe-analytics.service';
import { AdobeAnalyticsPayloadService } from './services/adobe-analytics-payload.service';
import { WebPerformanceService} from './services/web-performance-service';
import { EventTrackerPayloadService } from './services/event-tracker-payload.service';
import { PayloadVerificationService } from './services/payload-verification.service';

import { EffectsModule } from '@ngrx/effects';
import { EventTransceiverEffect } from './effects/event-transceiver.effects';

@NgModule({
  imports: [
    EffectsModule.forFeature([
      EventTransceiverEffect
    ]),
  ]
})
export class EventTransceiverModule {
  constructor(private eventTransceiver: EventTransceiverService) {
    this.eventTransceiver.attachToWindow();
  }

  static forRoot(): ModuleWithProviders {
    return {
      ngModule: EventTransceiverModule,
      providers: [
        AdobeAnalyticsService,
        EventTransceiverService,
        AdobeAnalyticsPayloadService,
        WebPerformanceService,
        EventTrackerPayloadService,
        PayloadVerificationService
      ]
      };
  }

}
