import * as EventTransceiverActions from '../actions';
import { EventTrackerLogEntry } from '../models/event-tracker.interface';

export interface EventTrackerState {
  log: EventTrackerLogEntry[];
}

export const initialState: EventTrackerState = {
  log: []
};

export function reducer(
  state = initialState,
  action: EventTransceiverActions.Actions
): EventTrackerState {
  switch (action.type) {
    case EventTransceiverActions.EventTrackerActions.EventTrackerUpdateLog:
      return { ...state, log: [...state.log, action.payload] };
    default: {
      return state;
    }
  }
}
