import * as EventTransceiverActions from '../actions';
import { ComponentRenderRecord, HttpReturnRecord } from '../models/web-performance.interface';

export interface WebPerformanceState {
  ComponentRenderRecordList: Array<ComponentRenderRecord>;
  HttpReturnRecordList: Array<HttpReturnRecord>;
}

export const initialState: WebPerformanceState = {
  ComponentRenderRecordList: [],
  HttpReturnRecordList: [],
};

export function reducer(
  state = initialState,
  action: EventTransceiverActions.Actions
): WebPerformanceState {
  switch (action.type) {
    case EventTransceiverActions.WebPerformanceActions.WebPerformanceUpdateRecord:
      return { ...state, ComponentRenderRecordList: action.componentRenderList, HttpReturnRecordList: action.httpRenderList };
    case EventTransceiverActions.WebPerformanceActions.WebPerformanceUpdateHttpRecord:
      return { ...state, HttpReturnRecordList: [ ...state.HttpReturnRecordList, action.payload ]};
    default: {
      return state;
    }
  }
}
