import * as EventTransceiverActions from '../actions';
import { Whitelist } from '../models/event-transceiver.interface';
import { eventTypes } from '../constants/adobe-analytics.constants';

/**
 * Initial whitelist
 * - global contains all the analytics event types for now
 * - We will receive the whitelist from DTM which will override this
 */
export const initialState: Whitelist = {
  global: {
    analytics: [
      ...Object.keys(eventTypes).map(k => eventTypes[k])
    ]
  },
  pip: {
    analytics: [
    ],
    webPerformance: {
      componentList: [
        'product-container',
        'product-gallery-container',
        'product-localized-container',
        'product-info-component',
        'product-share-component'
      ],
      httpList: [
        'homedepotcacommercewebservices/v2/homedepotca/products'
      ]
    }
  }
};

export function reducer(
  state = initialState,
  action: EventTransceiverActions.Actions
): Whitelist {
  switch (action.type) {
    case EventTransceiverActions.EventTransceiverActions.EventTransceiverSetWhitelistEvent:
      return action.payload;
    default: {
      return state;
    }
  }
}
