import { createSelector } from '@ngrx/store';
import { EventTransceiverState } from '../reducers/event-transceiver.reducer';
import { AdobeAnalyticsState } from '../reducers/adobe-analytics.reducer';
import { getEventTransceiver } from '../../../reducers';
import { WebPerformanceState } from '../reducers/web-performance.reducer';
import { Whitelist } from '../models/event-transceiver.interface';

// lodash
import { flatten } from 'lodash';
import { EventTrackerState } from '../reducers/event-tracker.reducer';

export const selectAdobeAnalytics: any = createSelector(
  getEventTransceiver,
  (state: EventTransceiverState) => state.adobeAnalytics
);

export const selectWebPerformance: any = createSelector(
  getEventTransceiver,
  (state: EventTransceiverState) => state.webPerformance
);

export const selectEventTracker: any = createSelector(
  getEventTransceiver,
  (state: EventTransceiverState) => state.eventTracker
);

export const selectHttpPerformance: any = createSelector(
  selectWebPerformance,
  (state: WebPerformanceState) => state.HttpReturnRecordList
);

export const selectComponentPerformance: any = createSelector(
  selectWebPerformance,
  (state: WebPerformanceState) => state.ComponentRenderRecordList
);

export const selectWhitelist: any = createSelector(
  getEventTransceiver,
  (state: EventTransceiverState) => state.whitelist
);

export const selectAnalyticsWhitelist: any = createSelector(
  selectWhitelist,
  (state: Whitelist) => {
    return flatten(Object.keys(state).map(category => state[category]['analytics']));
  }
);

export const selectWebPerformanceWhitelist: any = createSelector(
  selectWhitelist,
  (state: Whitelist) => {
    return state.pip.webPerformance;
  }
);

export const selectAdobeAnalyticsDTMReady: any = createSelector(
  selectAdobeAnalytics,
  (state: AdobeAnalyticsState) => state.DTMReady
);

export const selectEventTrackerEventLog: any = createSelector(
  selectEventTracker,
  (state: EventTrackerState) => state.log
);
