import { PLATFORM_ID } from '@angular/core';
import { WebPerformanceService } from '../services/web-performance-service';
import { DateTimeService } from '@hdca/fe-angular-shared';
import { Store } from '@ngrx/store';
import { EventTransceiverState } from '../reducers/event-transceiver.reducer';

describe('Web Performance Service', () => {
    let service: WebPerformanceService;
    let storeMock: Store<EventTransceiverState>;
    let dateTimeServiceSpy: jasmine.SpyObj<DateTimeService>;

    beforeEach(() => {
        storeMock = jasmine.createSpyObj<Store<EventTransceiverState>>('Store', {
            'dispatch': () => {},
            'pipe': {
                'select': () => {},
                'withLatestFrom': () => {},
                'subscribe': () => {}
            }
        });
        dateTimeServiceSpy = jasmine.createSpyObj<DateTimeService>('DateTimeService', ['format', 'getFormattedDate']);
        service = new WebPerformanceService(dateTimeServiceSpy, storeMock, null, PLATFORM_ID);
    });

    it('should have been created', () => {
        expect(service).toBeDefined();
    });

    it('should have its external methods created', () => {
        expect(service.calculateFirstMeaningfulPaint).toBeDefined();
        expect(service.returnWebPerformanceState).toBeDefined();
    });
});
