import { Action } from '@ngrx/store';
import { GlobalCartAddApplianceItemDataInterface } from '../../models/global-cart-add-appliance-item-data.interface';
import { GlobalCartPartsAndServicesDataInterface } from '../../models/global-cart-parts-and-services-data.interface';

export enum GlobalCartAddApplianceItemDataActionTypes {
  AddApplianceItemToCart = '[Add Appliance Item To Cart]',
  SaveAddedApplianceItemData = '[Received Add Appliance To Cart Data]',
  ErrorAddedApplianceItemData = '[Error Add Appliance To Cart Data]'
}

export class AddApplianceItemToCart implements Action {
  readonly type = GlobalCartAddApplianceItemDataActionTypes.AddApplianceItemToCart;
  constructor(public user: string, public cartId: string, public postalCode: string, public lang: string, public localizedPOS: string, public partsAndServices: GlobalCartPartsAndServicesDataInterface, public addOnAvailable: boolean) {
  }
}

export class SaveAddedApplianceItemData implements Action {
  readonly type = GlobalCartAddApplianceItemDataActionTypes.SaveAddedApplianceItemData;
  constructor(public payload: GlobalCartAddApplianceItemDataInterface, public addOnAvailable: boolean) {
  }
}

export class ErrorAddedApplianceItemData implements Action {
  readonly type = GlobalCartAddApplianceItemDataActionTypes.ErrorAddedApplianceItemData;
  constructor() {
  }
}

export type GlobalCartAddApplianceItemDataActions = AddApplianceItemToCart | SaveAddedApplianceItemData | ErrorAddedApplianceItemData;
