import { Action } from '@ngrx/store';
import { GlobalCartAddItemDataInterface } from '../../models/global-cart-add-item-data.interface';
import { AddToCartInfoBlock } from '../../../event-transceiver/models/adobe-analytics-data-layer-models.interface';
import { GlobalCartErrorData } from '../../models/global-cart-error-data.interface';

export enum GlobalCartAddItemDataActionTypes {
  AddItemToCart = '[Add Item To Cart]',
  SaveAddedItemData = '[Received Add To Cart Data]',
  AddItemError = '[Add to Cart Error]'
}

export class AddItemToCart implements Action {
  readonly type = GlobalCartAddItemDataActionTypes.AddItemToCart;
  constructor(public user: string, public cartId: string, public lang: string, public localizedPOS: string, public params, public analyticsData: AddToCartInfoBlock[]) {
  }
}

export class SaveAddedItemData implements Action {
  readonly type = GlobalCartAddItemDataActionTypes.SaveAddedItemData;
  constructor(public payload: GlobalCartAddItemDataInterface) {
  }
}

export class AddCartError implements Action {
  readonly type = GlobalCartAddItemDataActionTypes.AddItemError;
  constructor(public error: GlobalCartErrorData, public hasError: boolean) {
  }
}

export type GlobalCartAddItemDataActions = AddItemToCart | SaveAddedItemData | AddCartError;
