import { Action } from '@ngrx/store';
import { GlobalCartDataInterface } from '../../models/global-cart-data.interface';
import { GlobalCartErrorData } from '../../models/global-cart-error-data.interface';

export enum GlobalCartDataActionTypes {
  GetCurrentCartData = '[Get Current Cart] Request API',
  ReceivedCartData = '[Cart API] API Success',
  GetCartDataError = '[Get Cart Data Error] Error',
}

export class GetCurrentCartData implements Action {
  readonly type = GlobalCartDataActionTypes.GetCurrentCartData;
  constructor(public lang: string) {
  }
}

export class ReceivedCartData implements Action {
  readonly type = GlobalCartDataActionTypes.ReceivedCartData;
  constructor(public payload: GlobalCartDataInterface) {
  }
}

export class GetCartDataError implements Action {
  readonly type = GlobalCartDataActionTypes.GetCartDataError;
  constructor(public error: GlobalCartErrorData) {
  }
}

export type GlobalCartDataActions = GetCurrentCartData | ReceivedCartData | GetCartDataError;
