import { Action } from '@ngrx/store';
import { GlobalCartPartsAndServicesDataInterface } from '../../models/global-cart-parts-and-services-data.interface';

export enum GlobalCartPartsAndServicesActionTypes {
  GetPartsAndServices = '[Get Parts and Services] Appliance Add To Cart',
  SuccessPartsAndServices = '[Success Parts and Services] API Response',
  ErrorPartsAndServices = '[Error Parts and Services] API Response'
}

export class GetPartsAndServices implements Action {
  readonly type = GlobalCartPartsAndServicesActionTypes.GetPartsAndServices;
  constructor(public productCode: string, public postalCode: string, public lang: string, public localizedPOS?: string, public installServiceCode?: string, public addOnAvailable?: boolean) {
  }
}

export class SuccessPartsAndServices implements Action {
  readonly type = GlobalCartPartsAndServicesActionTypes.SuccessPartsAndServices;
  constructor(public payload: GlobalCartPartsAndServicesDataInterface, public postalCode: string, public localizedPOS?: string, public addOnAvailable?: boolean) {
  }
}

export class ErrorPartsAndServices implements Action {
  readonly type = GlobalCartPartsAndServicesActionTypes.ErrorPartsAndServices;
  constructor() {
  }
}

export type GlobalCartPartsAndServicesActions = GetPartsAndServices | SuccessPartsAndServices | ErrorPartsAndServices;
