import { Action } from '@ngrx/store';
import { GlobalCartPaypalDataInterface } from '../../models/global-cart-paypal-data.interface';

export enum GlobalCartPaypalDataActionTypes {
  GetConfiguration = '[Get Configuration] Request API',
  GetPaypalToken = '[Get Paypal Token] Request API',
  SavePaypalToken = '[Save Paypal Token] API Success',
  ErrorPaypalToken = '[Error Paypal Token] API Fail'
}

export class GetConfiguration implements Action {
  readonly type = GlobalCartPaypalDataActionTypes.GetConfiguration;
  constructor(public language: string) {
  }
}

export class GetPaypalToken implements Action {
  readonly type = GlobalCartPaypalDataActionTypes.GetPaypalToken;
  constructor(public config: any, public language: string) {
  }
}

export class SavePaypalToken implements Action {
  readonly type = GlobalCartPaypalDataActionTypes.SavePaypalToken;
  constructor(public payload: GlobalCartPaypalDataInterface, public config: any, public language: string) {
  }
}

export class ErrorPaypalToken implements Action {
  readonly type = GlobalCartPaypalDataActionTypes.ErrorPaypalToken;
  constructor() {
  }
}

export type GlobalCartPaypalDataActions = GetConfiguration | GetPaypalToken | SavePaypalToken | ErrorPaypalToken;
