import { Action } from '@ngrx/store';
import { IRecommendationItem, IRecommendations } from '../../models/recommendations.interface';

export enum RecommendationActionTypes {
  GetRecommendations = '[recommendation] Get Recommendation',
  GetRecommendationsSuccess = '[recommendation] Get Recommendation success',
  GetRecommendationError = '[recommendation] Get Recommendation error',
}

export class GetRecommendations implements Action {
    readonly type = RecommendationActionTypes.GetRecommendations;
    constructor(public payload: IRecommendations) {
    }
}

export class GetRecommendationsSuccess implements Action {
  readonly type = RecommendationActionTypes.GetRecommendationsSuccess;
  constructor(public recommendations: any[]) {
  }
}

export type RecommendationActions = GetRecommendationsSuccess | GetRecommendations;
