import { GlobalCartAddItemDataInterface } from '../models/global-cart-add-item-data.interface';

export interface GlobalCartAddApplianceItemDataInterface {
  applianceModification: ApplianceModification;
  applianceAddonModification: GlobalCartAddItemDataInterface[];
}

export interface DisplayPrice {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

export interface OnlineStock {
  stockLevel: number;
  stockLevelStatus: string;
}

export interface Category {
  code: string;
  name: string;
}

export interface Document {
  URL: string;
  mime: string;
  name: string;
}

export interface Image {
  altText: string;
  format: string;
  imageType: string;
  url: string;
}

export interface DisplayPrice2 {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

export interface Regprice {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

export interface OptimizedPrice {
  availabilityMsg: string;
  displayPrice: DisplayPrice2;
  endDate: Date;
  productId: string;
  productStatus: string;
  regprice: Regprice;
  storeId: string;
}

export interface Price {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

export interface Stock {
  stockLevel: number;
  stockLevelStatus: string;
}

export interface Image2 {
  altText: string;
}

export interface VariantOptionQualifier {
  code?: string;
  hasImage: boolean;
  image: Image2;
  name: string;
  position: number;
  value: string;
  variantCategoryCode: string;
  variantValueCategoryCode: string;
}

export interface VariantOption {
  code: string;
  url: string;
  variantOptionQualifiers: VariantOptionQualifier[];
}

export interface Product {
  articleType: string;
  availableForPickup: boolean;
  baseProduct: string;
  bopis: boolean;
  buyable: boolean;
  categories: Category[];
  code: string;
  deliveryUnit: string;
  depotDirect: boolean;
  description: string;
  documents: Document[];
  ecoFeeEligible: boolean;
  freeShipping: number;
  images: Image[];
  manufacturer: string;
  modelNumber: string;
  name: string;
  optimizedPrice: OptimizedPrice;
  price: Price;
  purchasable: boolean;
  sellableIntent: string;
  shipToHome: boolean;
  shipToStoreUnit: string;
  stock: Stock;
  unitOfMeasure: string;
  url: string;
  variantOptions: VariantOption[];
}

export interface ShippingFee {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

export interface TotalPrice {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

export interface Entry {
  displayPrice: DisplayPrice;
  entryNumber: number;
  isApplianceOrAddon: boolean;
  isFreeGift: boolean;
  onlineStock: OnlineStock;
  proDirectQualifier: string;
  product: Product;
  quantity: number;
  requiresProductAddons: boolean;
  shippingFee: ShippingFee;
  totalPrice: TotalPrice;
}

export interface ApplianceModification {
  entry: Entry;
  quantity: number;
  quantityAdded: number;
  statusCode: string;
}
