 export interface GlobalCartDataInterface {
  type: string;
  applianceDeliveryCost: ApplianceDeliveryCost;
  applianceItemsQuantity: number;
  bodfsItemsQuantity: number;
  bopisItemsQuantity: number;
  bossItemsQuantity: number;
  code: string;
  deliveryItemsQuantity: number;
  deliveryOrderGroups: DeliveryOrderGroup[];
  entries: Entry2[];
  guid: string;
  isCartBuyable: boolean;
  isRuralPostalCode: boolean;
  isShippingFree: boolean;
  numberOfProducts: number;
  subTotal: SubTotal;
  totalItemsQuantity: number;
  totalPriceWithTax: TotalPriceWithTax2;
  totalSavings: TotalSavings;
  totalTax: TotalTax;
  isCheckoutButtonEnabled: boolean;
  appliancePostalCode: string;
}

 interface ApplianceDeliveryCost {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface BasePrice {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface BasePriceValue {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface DisplayPrice {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface Key {
  type: string;
  value: string;
}

 interface Value {
  type: string;
  value: string;
}

 interface ErrorMsg {
  key: Key;
  value: Value;
}

 interface Store {
  displayName: string;
  name: string;
}

 interface StoreStock {
  stockLevel: number;
  stockLevelStatus: string;
}

 interface PickupInStore {
  changeStore: boolean;
  selected: boolean;
  store: Store;
  storeStock: StoreStock;
}

 interface ShippingFee {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface ShipToYou {
  deliveryTime: string;
  deliveryUnit: string;
  freeShipping: boolean;
  selected: boolean;
  shippingFee: ShippingFee;
}

 interface FulfillmentOptions {
  pickupInStore: PickupInStore;
  shipToYou: ShipToYou;
}

 interface OnlineStock {
  stockLevel: number;
  stockLevelStatus: string;
}

 interface Category {
  code: string;
  name: string;
}

 interface Image {
  altText: string;
  format: string;
  imageType: string;
  url: string;
}

 interface DisplayPrice2 {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface Regprice {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface OptimizedPrice {
  availabilityMsg: string;
  displayPrice: DisplayPrice2;
  endDate: Date;
  productId: string;
  productStatus: string;
  regprice: Regprice;
  storeId: string;
}

 interface Price {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface Stock {
  stockLevel: number;
  stockLevelStatus: string;
}

 interface Product {
  articleType: string;
  availableForPickup: boolean;
  bopis: boolean;
  boss: boolean;
  buyable: boolean;
  categories: Category[];
  code: string;
  depotDirect: boolean;
  description: string;
  ecoFeeEligible: boolean;
  freeShipping: number;
  images: Image[];
  manufacturer: string;
  modelNumber: string;
  name: string;
  optimizedPrice: OptimizedPrice;
  price: Price;
  purchasable: boolean;
  sellableIntent: string;
  shipToHome: boolean;
  stock: Stock;
  unitOfMeasure: string;
  url: string;
}

 interface ShippingFee2 {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface TotalPrice {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface Entry {
  applianceVendorNumber: string;
  basePrice: BasePrice;
  basePriceValue: BasePriceValue;
  displayPrice: DisplayPrice;
  entryNumber: number;
  errorMsg: ErrorMsg[];
  fulfillmentOptions: FulfillmentOptions;
  isApplianceOrAddon: boolean;
  isFreeGift: boolean;
  onlineStock: OnlineStock;
  proDirectQualifier: string;
  product: Product;
  quantity: number;
  requiresProductAddons: boolean;
  shippingFee: ShippingFee2;
  totalPrice: TotalPrice;
  totalStockQuantity: number;
  updateable: boolean;
}

 interface TotalPriceWithTax {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface EcoFee {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface PersonalizedETADestination {
  fulfillmentType: string;
  postalCode: string;
}

 interface ShippingFee3 {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface TaxForGST {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface TaxForHST {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface TaxForPST {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface DeliveryOrderGroup {
  entries: Entry[];
  totalPriceWithTax: TotalPriceWithTax;
  deliveryOrderType: string;
  ecoFee: EcoFee;
  hasRemovedItem: boolean;
  personalizedETADestination: PersonalizedETADestination;
  shippingFee: ShippingFee3;
  taxForGST: TaxForGST;
  taxForHST: TaxForHST;
  taxForPST: TaxForPST;
  bodfsPostalCode: string;
  bodfsRequestedDeliveryDate: string;
}

 interface BasePrice2 {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface BasePriceValue2 {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface DisplayPrice3 {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface Key2 {
  type: string;
  value: string;
}

 interface Value2 {
  type: string;
  value: string;
}

 interface ErrorMsg2 {
  key: Key2;
  value: Value2;
}

 interface Store2 {
  displayName: string;
  name: string;
}

 interface StoreStock2 {
  stockLevel: number;
  stockLevelStatus: string;
}

 interface PickupInStore2 {
  changeStore: boolean;
  selected: boolean;
  store: Store2;
  storeStock: StoreStock2;
}

 interface ShippingFee4 {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface ShipToYou2 {
  deliveryTime: string;
  deliveryUnit: string;
  freeShipping: boolean;
  selected: boolean;
  shippingFee: ShippingFee4;
}

 interface FulfillmentOptions2 {
  pickupInStore: PickupInStore2;
  shipToYou: ShipToYou2;
}

 interface OnlineStock2 {
  stockLevel: number;
  stockLevelStatus: string;
}

 interface Category2 {
  code: string;
  name: string;
}

 interface Image2 {
  altText: string;
  format: string;
  imageType: string;
  url: string;
}

 interface DisplayPrice4 {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface Regprice2 {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface OptimizedPrice2 {
  availabilityMsg: string;
  displayPrice: DisplayPrice4;
  endDate: Date;
  productId: string;
  productStatus: string;
  regprice: Regprice2;
  storeId: string;
}

 interface Price2 {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface Stock2 {
  stockLevel: number;
  stockLevelStatus: string;
}

 interface Product2 {
  articleType: string;
  availableForPickup: boolean;
  bopis: boolean;
  boss: boolean;
  buyable: boolean;
  categories: Category2[];
  code: string;
  depotDirect: boolean;
  description: string;
  ecoFeeEligible: boolean;
  freeShipping: number;
  images: Image2[];
  manufacturer: string;
  modelNumber: string;
  name: string;
  optimizedPrice: OptimizedPrice2;
  price: Price2;
  purchasable: boolean;
  sellableIntent: string;
  shipToHome: boolean;
  stock: Stock2;
  unitOfMeasure: string;
  url: string;
}

 interface ShippingFee5 {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface TotalPrice2 {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface Entry2 {
  applianceVendorNumber: string;
  basePrice: BasePrice2;
  basePriceValue: BasePriceValue2;
  displayPrice: DisplayPrice3;
  entryNumber: number;
  errorMsg: ErrorMsg2[];
  fulfillmentOptions: FulfillmentOptions2;
  isApplianceOrAddon: boolean;
  isFreeGift: boolean;
  onlineStock: OnlineStock2;
  proDirectQualifier: string;
  product: Product2;
  quantity: number;
  requiresProductAddons: boolean;
  shippingFee: ShippingFee5;
  totalPrice: TotalPrice2;
  totalStockQuantity: number;
  updateable: boolean;
}

 interface SubTotal {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface TotalPriceWithTax2 {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface TotalSavings {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

 interface TotalTax {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}
