export interface GlobalCartPartsAndServicesDataInterface {
  appliance: Appliance;
  applianceAddons: ApplianceAddon[];
}

export interface Document {
  URL: string;
  mime: string;
  name: string;
}

export interface Image {
  altText: string;
  format: string;
  imageType: string;
  url: string;
}

export interface DisplayPrice {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

export interface Regprice {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

export interface OptimizedPrice {
  availabilityMsg: string;
  displayPrice: DisplayPrice;
  endDate: Date;
  productId: string;
  productStatus: string;
  regprice: Regprice;
  storeId: string;
}

export interface Price {
  currencyIso: string;
  formattedValue: string;
  priceType: string;
  value: number;
}

export interface Stock {
  stockLevel: number;
  stockLevelStatus: string;
}

export interface Appliance {
  articleType: string;
  bopis: boolean;
  buyable: boolean;
  code: string;
  deliveryUnit: string;
  description: string;
  documents: Document[];
  ecoFeeEligible: boolean;
  freeShipping: number;
  images: Image[];
  manufacturer: string;
  modelNumber: string;
  name: string;
  optimizedPrice: OptimizedPrice;
  price: Price;
  purchasable: boolean;
  sellableIntent: string;
  shipToStoreUnit: string;
  stock: Stock;
  unitOfMeasure: string;
  url: string;
}

/* Added for click2install */
export interface ApplianceAddon {
  product: ApplianceAddonProduct;
  selected: boolean;
  required: boolean;
  source: string;
}
export interface ApplianceAddonProduct {
  code: string;
}
