export interface IRecommendations {
    productId?: string;
    scheme: string;
    relationship?: string;
    trackingId: string;
    localizedPOS: string;
    fields: string;
    catalogVersion: string;
    lang: string;
}

interface Image {
    url: string;
}

interface DisplayPrice {
    currencyIso: string;
    formattedValue: string;
    priceType: string;
    value: number;
}

interface OptimizedPrice {
    availabilityMsg: string;
    displayPrice?: DisplayPrice;
    endDate: string;
    productId: string;
    regprice: DisplayPrice;
    savingsAmount: DisplayPrice;
    storeId: string;
    percentSaving?: string;
    promoprice?: DisplayPrice;
    wasPrice?: DisplayPrice;
}

 interface Badge {
    code: string;
    name: string;
  }

export interface IRecommendationItem {
    articleType: string;
    averageRating: number;
    badges: Badge[];
    bopis: boolean;
    buyable: boolean;
    code: string;
    depotDirect: boolean;
    description: string;
    images: Image[];
    isOnlineOrStore: string;
    manufacturer: string;
    messageType: number;
    name: string;
    numberOfReviews: number;
    optimizedPrice: OptimizedPrice;
    sellableIntent: string;
    unitOfMeasure: string;
    url: string;
}
