import { GlobalCartAddApplianceItemDataInterface } from '../../models/global-cart-add-appliance-item-data.interface';
import {
  GlobalCartAddApplianceItemDataActions,
  GlobalCartAddApplianceItemDataActionTypes
} from '../../actions/global-cart-add-appliance-item-data/global-cart-add-appliance-item-data.actions';

export interface GlobalCartAddApplianceItemDataState extends GlobalCartAddApplianceItemDataInterface {
  loading: boolean;
  error: boolean;
}

export const initialState: GlobalCartAddApplianceItemDataState = {
  loading: undefined,
  error: undefined,
  applianceModification: undefined,
  applianceAddonModification: undefined
};

export function globalCartAddApplianceItemDataReducer(state = initialState, action: GlobalCartAddApplianceItemDataActions): GlobalCartAddApplianceItemDataState {

  switch (action.type) {
    case GlobalCartAddApplianceItemDataActionTypes.AddApplianceItemToCart:
      return { ...state, loading: true };

    case GlobalCartAddApplianceItemDataActionTypes.SaveAddedApplianceItemData:
      return { ...state, ...action.payload, loading: false, error: false };

    case GlobalCartAddApplianceItemDataActionTypes.ErrorAddedApplianceItemData:
      return { ...state, loading: false, error: true };

    default: {
      return state;
    }
  }
}
