import { GlobalCartPartsAndServicesDataInterface } from '../../models/global-cart-parts-and-services-data.interface';
import {
  GlobalCartPartsAndServicesActions,
  GlobalCartPartsAndServicesActionTypes
} from '../../actions/global-cart-parts-and-services-data/global-cart-parts-and-services-data.actions';

export interface GlobalCartPartsAndServicesDataState extends GlobalCartPartsAndServicesDataInterface {
  loading: boolean;
  error: boolean;
}

export const initialState: GlobalCartPartsAndServicesDataState = {
  loading: undefined,
  error: undefined,
  appliance: undefined,
  applianceAddons: undefined
};

export function globalCartPartsAndServicesDataReducer(state = initialState, action: GlobalCartPartsAndServicesActions): GlobalCartPartsAndServicesDataState {

  switch (action.type) {
    case GlobalCartPartsAndServicesActionTypes.GetPartsAndServices:
      return { ...state, loading: true };

    case GlobalCartPartsAndServicesActionTypes.SuccessPartsAndServices:
      return { ...state, ...action.payload, loading: false, error: false };

    case GlobalCartPartsAndServicesActionTypes.ErrorPartsAndServices:
      return { ...state, loading: false, error: true };

    default: {
      return state;
    }
  }
}
