import { GlobalCartPaypalDataInterface } from '../../models/global-cart-paypal-data.interface';
import {
  GlobalCartPaypalDataActions,
  GlobalCartPaypalDataActionTypes
} from '../../actions/global-cart-paypal-data/global-cart-paypal-data.actions';

export interface GlobalCartPaypalDataState extends GlobalCartPaypalDataInterface {
  loading: boolean;
  error: boolean;
}

export const initialState: GlobalCartPaypalDataState = {
  loading: undefined,
  error: undefined,
  ack: undefined,
  timestamp: undefined,
  token: undefined
};

export function globalCartPaypalDataReducer(state = initialState, action: GlobalCartPaypalDataActions): GlobalCartPaypalDataState {

  switch (action.type) {
    case GlobalCartPaypalDataActionTypes.GetPaypalToken:
      return { ...state, loading: true };

    case GlobalCartPaypalDataActionTypes.SavePaypalToken:
      return { ...state, ...action.payload, loading: false, error: false };

    case GlobalCartPaypalDataActionTypes.ErrorPaypalToken:
      return { ...state, loading: false, error: true };

    default: {
      return state;
    }
  }
}
