import { IRecommendationItem } from '../../models/recommendations.interface';
import * as recommendationActions from '../../actions/recommendations/recommendation.actions';

export interface GlobalCartRecommendationsState {
    recommendations: IRecommendationItem[];
}

export const initialState: GlobalCartRecommendationsState = {
    recommendations: []
};

export function globalCartRecommendationsReducer(state = initialState, action: recommendationActions.RecommendationActions): GlobalCartRecommendationsState {

    switch (action.type) {
        case recommendationActions.RecommendationActionTypes.GetRecommendationsSuccess:
        const recommendations = action.recommendations;
        return { ...state, recommendations };

        default: {
            return state;
        }
    }
}
