import { GlobalCartSessionDataInterface } from '../../models/global-cart-session-data.interface';
import {
  GlobalCartSessionDataActions,
  GlobalCartSessionDataActionTypes
} from '../../actions/global-cart-session-data/global-cart-session-data.actions';

export interface GlobalCartSessionDataState extends GlobalCartSessionDataInterface {
  cart: string;
}

export const initialState: GlobalCartSessionDataState = {
  cart: undefined,
  type: undefined,
  code: undefined,
  guid: undefined,
  isCartBuyable: undefined,
  isRuralPostalCode: undefined,
  taxForGST: undefined,
  taxForHST: undefined,
  taxForPST: undefined,
  totalItems: undefined,
  totalItemsQuantity: undefined,
  totalPrice: undefined,
  totalPriceWithTax: undefined,
  isCheckoutButtonEnabled: undefined,
  isExpressCheckout: undefined,
  isPaymentOffer: undefined
};

export function globalCartSessionDataReducer(state = initialState, action: GlobalCartSessionDataActions): GlobalCartSessionDataState {

  switch (action.type) {

    case GlobalCartSessionDataActionTypes.SaveAnonymousCartSession:
      return { ...state, ...action.payload, cart: action.payload.guid };

    case GlobalCartSessionDataActionTypes.SaveAccountCartSession:
      return { ...state, ...action.payload, cart: action.payload.code };

    case GlobalCartSessionDataActionTypes.SaveCartSessionByCookie:
      return { ...state, cart: action.cookie };

    default: {
      return state;
    }
  }
}
