import {
  GlobalCartUIActions,
  GlobalCartUIActionTypes
} from '../../actions/global-cart-ui/global-cart-ui.actions';
import { GlobalCartUIInterface } from '../../models/global-cart-ui.interface';

export interface GlobalCartUIState extends GlobalCartUIInterface {
}

export const initialState: GlobalCartUIState = {
  addToCartSuccessModal: undefined
};

export function globalCartUIReducer(state = initialState, action: GlobalCartUIActions): GlobalCartUIState {

  switch (action.type) {
    case GlobalCartUIActionTypes.ShowAddToCartSuccess:
      return { ...state, addToCartSuccessModal: true };

    case GlobalCartUIActionTypes.HideAddToCartSuccess:
      return { ...state, addToCartSuccessModal: false };

    default: {
      return state;
    }
  }
}
