import * as fromRoot from '../../../reducers';
import * as fromGlobalCartData from './global-cart-data/global-cart-data.reducer';
import * as fromGlobalCartUI from './global-cart-ui/global-cart-ui.reducer';
import * as fromGlobalCartSessionData from './global-cart-session-data/global-cart-session-data.reducer';
import * as fromGlobalCartAddItemData from './global-cart-add-item-data/global-cart-add-item-data.reducer';
import * as fromGlobalCartAddFbtData from './global-cart-add-item-data/global-cart-add-fbt-data.reducer';
import * as fromGlobalCartPaypalData from './global-cart-paypal-data/global-cart-paypal-data.reducer';
import * as fromGlobalCartPartsAndServicesData from './global-cart-parts-and-services-data/global-cart-parts-and-services-data.reducer';
import * as fromGlobalCartAddApplianceItemData from './global-cart-add-appliance-item-data/global-cart-add-appliance-item-data.reducer';
import * as fromGlobalCartRecommendations from './global-cart-recommendations/global-cart-recommendations.reducer';
import { createFeatureSelector } from '@ngrx/store';

export interface GlobalCartState extends fromRoot.State {
  globalCartData: fromGlobalCartData.GlobalCartDataState;
  globalCartUI: fromGlobalCartUI.GlobalCartUIState;
  globalCartSessionData: fromGlobalCartSessionData.GlobalCartSessionDataState;
  globalCartAddItemData: fromGlobalCartAddItemData.GlobalCartAddItemDataState;
  globalCartAddFbtData: fromGlobalCartAddFbtData.GlobalCartAddFbtDataState;
  globalCartPaypalData: fromGlobalCartPaypalData.GlobalCartPaypalDataState;
  globalCartPartsAndServicesData: fromGlobalCartPartsAndServicesData.GlobalCartPartsAndServicesDataState;
  globalCartAddApplianceItemData: fromGlobalCartAddApplianceItemData.GlobalCartAddApplianceItemDataState;
  globalCartRecommendationsData: fromGlobalCartRecommendations.GlobalCartRecommendationsState;
}

export const globalCartReducers = {
  globalCartData: fromGlobalCartData.globalCartDataReducer,
  globalCartUI: fromGlobalCartUI.globalCartUIReducer,
  globalCartSessionData: fromGlobalCartSessionData.globalCartSessionDataReducer,
  globalCartAddItemData: fromGlobalCartAddItemData.globalCartAddItemDataReducer,
  globalCartAddFbtData: fromGlobalCartAddFbtData.globalCartAddFbtDataReducer,
  globalCartPaypalData: fromGlobalCartPaypalData.globalCartPaypalDataReducer,
  globalCartPartsAndServicesData: fromGlobalCartPartsAndServicesData.globalCartPartsAndServicesDataReducer,
  globalCartAddApplianceItemData: fromGlobalCartAddApplianceItemData.globalCartAddApplianceItemDataReducer,
  globalCartRecommendationsData: fromGlobalCartRecommendations.globalCartRecommendationsReducer
};

export const selectGlobalCartState = createFeatureSelector<GlobalCartState>('globalCart');
