import { GlobalFooterContainer } from './global-footer.container';
import { HttpClient } from '@angular/common/http';
import { TranslatesBrowserLoaderService } from '../translation/translation-browser/translation-browser-loader.service';
import { TransferState } from '@angular/platform-browser';
import { TranslateLoader, TranslateModule } from '@ngx-translate/core';
import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';

export function translateStaticLoaderGlobalFooter(http: HttpClient, transferState: TransferState): TranslatesBrowserLoaderService {
    return new TranslatesBrowserLoaderService('/node-assets/i18n/global-footer/', '.json', transferState, http);
}

@NgModule({
    imports: [
        CommonModule,
        TranslateModule.forChild({
            loader: {
                provide: TranslateLoader,
                useFactory: translateStaticLoaderGlobalFooter,
                deps: [HttpClient, TransferState]
            }
        }),
    ],
    declarations: [
        GlobalFooterContainer
    ],
    exports: [
        GlobalFooterContainer
    ]
})
export class HDCAGlobalFooterModule {
    constructor() {
    }

    static forRoot(): ModuleWithProviders {
        return {
            ngModule: HDCAGlobalFooterModule
        };
    }
}
