// ngrx imports
import { Action } from '@ngrx/store';
// Model imports
// Specify constants for global header UI visibility
export const GLOBAL_HEADER_MY_ACCOUNT_OPEN = '[global header] display my account';
export const GLOBAL_HEADER_MY_ACCOUNT_CLOSE = '[global header] hide my account';
export const GLOBAL_HEADER_CLOSE_CATEGORIES_ACCOUNT = '[global header] close categories and account';
export const GLOBAL_HEADER_CART_COUNT = '[global header] cart count';
export const GLOBAL_HEADER_FLYOUT_OPEN = '[global header] display flyout';
export const GLOBAL_HEADER_FLYOUT_CLOSE = '[global header] hide flyout';

// Actions
export class OpenGlobalHeaderMyAccount implements Action {
  readonly type = GLOBAL_HEADER_MY_ACCOUNT_OPEN;
  constructor() { }
}

export class CloseGlobalHeaderMyAccount implements Action {
  readonly type = GLOBAL_HEADER_MY_ACCOUNT_CLOSE;
  constructor() { }
}

export class CloseCategoriesAndAccount implements Action {
  readonly type = GLOBAL_HEADER_CLOSE_CATEGORIES_ACCOUNT;
  constructor() { }
}

export class UpdateCartCount implements Action {
  readonly type = GLOBAL_HEADER_CART_COUNT;
  constructor(public payload: string) { }
}

export class OpenGlobalHeaderFlyout implements Action {
  readonly type = GLOBAL_HEADER_FLYOUT_OPEN;
  constructor() { }
}

export class CloseGlobalHeaderFlyout implements Action {
  readonly type = GLOBAL_HEADER_FLYOUT_CLOSE;
  constructor() { }
}

export type GlobalHeaderOverallActions = OpenGlobalHeaderMyAccount
  | CloseGlobalHeaderMyAccount
  | CloseCategoriesAndAccount
  | UpdateCartCount
  | OpenGlobalHeaderFlyout
  | CloseGlobalHeaderFlyout;
