import { Component, Input, Output, EventEmitter } from '@angular/core';
// Model imports
import { MyAccountNavNode } from '../../../models/global-header-account.interface';

@Component({
  selector: '[global-header-account-status]',
  templateUrl: './global-header-account-status.component.html'
})
export class GlobalHeaderAccountStatusComponent {
  // User info inputs
  @Input() isSignedIn: boolean;
  @Input() userFirstName: string;
  @Input() lastLoginTime: string;
  // Get the links to display in My Account for signed in and anonymous users
  @Input() accountNavData: MyAccountNavNode;
  // Determine whether or not to show the link description
  // - Link descriptions are only shown for Anonymous users currently
  @Input() showDescription: boolean;
  // Handle informing parent container that logout has begun
  @Output() logout: EventEmitter<any> = new EventEmitter();

  beginLogoutProcess(event) {
    event.preventDefault();
    // Begins the logout process
    this.logout.emit({'loggingOut': true});
  }

}
