import { Component, Output, EventEmitter, Input, OnChanges } from '@angular/core';
import { NavNodes } from '../../../models/nav-nodes.interface';
import { getNodeByUid } from '@hdca/fe-angular-shared';
import { SHOP_MAIN_NAV_NODE, MAIN_NAV_NODE } from '@hdca/fe-angular-shared';

@Component({
    selector: 'global-header-categories',
    templateUrl: './global-header-categories.component.html'
})
export class GlobalHeaderCategoriesComponent implements OnChanges {
    @Output() flyoutOpen: EventEmitter<any> = new EventEmitter();
    @Output() flyoutClose: EventEmitter<any> = new EventEmitter();
    @Input() navNodes: NavNodes;
    mainNavNodes: NavNodes;

    ngOnChanges() {
        this.mainNavNodes = this.navNodes && this.navNodes.children &&
            getNodeByUid(this.navNodes, MAIN_NAV_NODE) && getNodeByUid(this.navNodes, MAIN_NAV_NODE).children;
    }

    flyoutAction(node: NavNodes) {
        if (node && node.uid === SHOP_MAIN_NAV_NODE) {
            this.flyoutOpen.emit();
        } else {
            this.flyoutClose.emit();
        }
    }

 }
