import { Component, Input } from '@angular/core';
import { NavNodes } from '../../../../models/nav-nodes.interface';

@Component({
    selector: 'global-header-flyout-content-small',
    templateUrl: './global-header-flyout-content-small.component.html'
})
export class GlobalHeaderFlyoutContentSmallComponent {
    @Input() content: NavNodes;
    @Input() events: NavNodes;
    selectedCategory: NavNodes;
    selectedL1: NavNodes;

    isNodeActive(node: NavNodes): boolean {
        return this.selectedCategory && node && (this.selectedCategory.uid === node.uid || (this.selectedL1 && this.selectedL1.uid === node.uid));
    }

    toggleCategory(node: NavNodes) {
        if (this.selectedCategory && this.selectedCategory.uid === node.uid) {
            this.selectedCategory = null;
        } else {
            this.selectedCategory = node;
        }
    }

    toggleL1(node: NavNodes) {
        if (!this.hasChildren(node) && typeof window !== 'undefined') {
            window.location.href = node.url;
        } else {
            if (this.selectedL1 && this.selectedL1.uid === node.uid) {
                this.selectedL1 = null;
            } else {
                this.selectedL1 = node;
            }
        }
    }

    showIcon(node: NavNodes, icon: string): boolean {
        switch (icon) {
            case 'chevron':
                return !this.hasChildren(node);
            case 'minus':
                return this.isNodeActive(node) && this.hasChildren(node);
            default:
                return !this.isNodeActive(node) && this.hasChildren(node);
        }
    }

    hasChildren(node: NavNodes): boolean {
        return node && node.children && node.children.length > 0;
    }
}
