import { Component, Input, OnChanges } from '@angular/core';
import { NavNodes } from '../../../../models/nav-nodes.interface';
import { MOBILE_NAV_NODE, CATEGORIES_NAV_NODE, EVENTS_NAV_NODE } from '@hdca/fe-angular-shared';
import { getNodeByUid } from '@hdca/fe-angular-shared';

@Component({
    selector: 'global-header-flyout-small',
    templateUrl: './global-header-flyout-small.component.html'
})
export class GlobalHeaderFlyoutSmallComponent implements OnChanges {
    @Input() navNodes: NavNodes;
    mobileNavNodes: NavNodes;
    categoriesNavNodes: NavNodes;
    eventsNavNode: NavNodes;
    selectedNode = 0;

    ngOnChanges() {
        this.mobileNavNodes = this.navNodes && this.navNodes.children &&
            getNodeByUid(this.navNodes, MOBILE_NAV_NODE) && getNodeByUid(this.navNodes, MOBILE_NAV_NODE).children;
        this.categoriesNavNodes = getNodeByUid(this.navNodes, CATEGORIES_NAV_NODE) && getNodeByUid(this.navNodes, CATEGORIES_NAV_NODE).children;
        this.eventsNavNode = getNodeByUid(this.navNodes, EVENTS_NAV_NODE);
    }

    selectNode(index: number) {
        this.selectedNode = index;
        if (this.selectedNode !== 0 && typeof window !== 'undefined' && this.mobileNavNodes && this.mobileNavNodes[this.selectedNode]) {
            window.location.href = this.mobileNavNodes[this.selectedNode].url;
        }
    }

    isNodeActive(index) {
        return  index === this.selectedNode;
    }
}
