import {Component, Input, Output, EventEmitter, HostListener, ElementRef } from '@angular/core';

@Component({
  selector: 'global-header-localization-hours',
  templateUrl: './global-header-localization-hours.component.html'
})
export class GlobalHeaderLocalizationHoursComponent {
  @Input('hours') hours;
  @Input() directions: string;
  @Output() selectAStoreClick: EventEmitter<any> = new EventEmitter();
  @Output() clickOutsideDropdown: EventEmitter<any> = new EventEmitter();
  isDropdownOpen = false;

  constructor(private _elementRef: ElementRef) { }
  selectAStore() {
    this.selectAStoreClick.emit();
  }

  @HostListener('document:click', ['$event'])
  outSideClick(event) {
    if (!this._elementRef.nativeElement.contains(event.target)) {
      if (this.isDropdownOpen) {
        this.clickOutsideDropdown.emit();
        this.isDropdownOpen = false;
      } else {
        this.isDropdownOpen = true;
      }
    }
  }
}
