import { Component, OnInit, OnDestroy } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { LanguageService } from '@hdca/fe-angular-shared';
import { ManageSubscriptionsContainer } from '@hdca/fe-angular-shared';
import { Subscription } from 'rxjs';

@Component({
    selector: 'global-header-logo',
    templateUrl: './global-header-logo.component.html'
})
export class GlobalHeaderLogoComponent extends ManageSubscriptionsContainer implements OnInit, OnDestroy {
    logoUrl: string;
    url: string;

    constructor(private translate: TranslateService,
    private langService: LanguageService) {
        super();
    }

    ngOnInit() {
        const translateSub: Subscription = this.translate.get('GLOBAL_HEADER.IMAGE_URL.HEADER_LOGO').subscribe(url => {
            this.logoUrl = '/node-assets/core-assets/images/global-header' + url;
        });
        const translateURLSub: Subscription = this.langService.translateURLAsync('/en/home').subscribe(translated => {
            this.url = `/${translated['en']}/${translated['home']}.html`;
        });

        this.subscriptions.push(translateSub);
        this.subscriptions.push(translateURLSub);
    }

    ngOnDestroy() {
        super.ngOnDestroy();
    }
}
