import { Component, Input, OnInit, ViewChild } from '@angular/core';
import { ProductStore } from '@store-selectors/models/store-selectors-product-data.interface';
import { Subscription } from 'rxjs';
declare var Microsoft: any;

@Component({
  selector: '[store-selectors-bing-component]',
  templateUrl: 'store-selectors-bing.component.html'
})
export class StoreSelectorsBingComponent implements OnInit {
  private map;
  @Input('stores') stores;
  @Input('fsa') fsa;
  @ViewChild('bingMap') bingMap;
  storesSub: Subscription;

  ngOnInit() {
    this.loadMap();
    this.initSubs();
  }

  loadMap() {
    if (typeof Microsoft !== 'undefined') {
      this.map = Microsoft && new Microsoft.Maps.Map(this.bingMap.nativeElement, {
        credentials: 'AvroW_HXR0kSPh2sMToqCbu4eOHaDgjxdsdtqQO4QntbWg9ituT9YjwRbWEewkms',
      });
    }
  }

  renderMap(stores) {
    this.map.entities.clear();
    if (!!stores) {
      const locationArr = [];
      let pin,
        location;
      let i = 0;
      for (const store of stores) {
        i++;
        location = new Microsoft.Maps.Location(store.geoPoint.latitude, store.geoPoint.longitude);
        pin = new Microsoft.Maps.Pushpin(location, { text: `${i}` });
        this.map.entities.push(pin);
        locationArr.push(location);
      }
      const view = Microsoft.Maps.LocationRect.fromLocations(locationArr);
      this.map.setView({
        bounds: view
      });
    }
  }

  private initSubs() {
    this.storesSub = this.stores.subscribe(stores => {
      this.renderMap(stores);
    });
  }
}
