import { StoreSelectorContainer } from './store-selector.container';
import { Store } from '@ngrx/store';
import * as fromApp from '@core/reducers';
import { CookieService } from 'ngx-cookie';

export const ui = 70;
export const accessibility = null;
describe('Cart 2.0', () => {
    describe('StoreSelectorContainer', () => {
        let cookieServiceMock: jasmine.SpyObj<CookieService>;
        let storeMock: jasmine.SpyObj<Store<fromApp.State>>;
        let storeSelectorContainer: StoreSelectorContainer;
        beforeEach(() => {
            storeMock = jasmine.createSpyObj<Store<fromApp.State>>('Store', ['select']);
            cookieServiceMock = jasmine.createSpyObj<CookieService>('CookieService', ['get']);
            storeSelectorContainer = new StoreSelectorContainer(storeMock, cookieServiceMock);
        });
        it('should have StoreSelectorContainer defined', () => {
            expect(storeSelectorContainer).toBeTruthy();
        });
        it('should have input `stores` value as `Undefined`', () => {
            expect(storeSelectorContainer.stores).toBeUndefined();
        });
        it('should have input `presetDefaultQuery` value as `Undefined`', () => {
            expect(storeSelectorContainer.presetDefaultQuery).toBeUndefined();
        });
        it('should have input `language` value as `Undefined`', () => {
            expect(storeSelectorContainer.language).toBeUndefined();
        });
        it('should have output storeSelectorSearchClick defined', () => {
            expect(storeSelectorContainer.storeSelectorSearchClick).toBeTruthy();
        });
        it('should have output storeSelectorNextClick defined', () => {
            expect(storeSelectorContainer.storeSelectorNextClick).toBeTruthy();
        });
        it('should have output storeSelectorPreviousClick defined', () => {
            expect(storeSelectorContainer.storeSelectorPreviousClick).toBeTruthy();
        });
        it('should have output storeSelectorSelectClick defined', () => {
            expect(storeSelectorContainer.storeSelectorSelectClick).toBeTruthy();
        });
        it('should have `mapReady` value as `false`', () => {
            expect(storeSelectorContainer.mapReady).toEqual(false);
        });
        it('should have `storeSelector$` value as `Undefined`', () => {
            expect(storeSelectorContainer.storeSelector$).toBeUndefined();
        });
        it('should have `storeSelectorState` value as `Undefined`', () => {
            expect(storeSelectorContainer.storeSelectorState).toBeUndefined();
        });
        it('should have `selectedId` value as `Undefined`', () => {
            expect(storeSelectorContainer.selectedId).toBeUndefined();
        });
        it('should have ngOnInit method created', () => {
            expect(storeSelectorContainer.ngOnInit).toBeTruthy();
        });
        it('should have getStores method created', () => {
            expect(storeSelectorContainer.getStores).toBeTruthy();
        });
        it('should have onNextClick method created', () => {
            expect(storeSelectorContainer.onNextClick).toBeTruthy();
        });
        it('should have onPreviousClick method created', () => {
            expect(storeSelectorContainer.onPreviousClick).toBeTruthy();
        });
        it('should have onSearchClick method created', () => {
            expect(storeSelectorContainer.onSearchClick).toBeTruthy();
        });
        it('should have onSelectClick method created', () => {
            expect(storeSelectorContainer.onSelectClick).toBeTruthy();
        });
        it('should have getDirection method created', () => {
            expect(storeSelectorContainer.getDirection).toBeTruthy();
        });
        it('should have weeklyFlyer method created', () => {
            expect(storeSelectorContainer.weeklyFlyer).toBeTruthy();
        });
    });
});
