export interface LocalizeData {
    stores: Stores[];
    pagination: Pagination;
    locationText: string;
    sourceLatitude: number;
    sourceLongitude: number;
    boundEasthLongitude?: number;
    boundSouthLatitude?: number;
    boundWestLongitude?: number;
    boundNorthLatitude?: number;
    sorts?: any;
    responseBody?: any;
    errors?: any[];
    status?: number;
}

export interface CommerceStoreData extends LocalizeData {
    sorts?: any;
    responseBody?: any;
    errors?: any[];
    status?: number;
}

export interface Pagination {
    totalPages: number;
    totalResults: number;
    sort?: any;
    currentPage: number;
    pageSize: number;
}

export interface Stores {
    geoPoint: GeoPoint;
    openingHours: OpeningHours;
    displayName: string;
    description: string;
    address: Address;
    name: string;
    formattedDistance?: string;
    storeImages?: any;
    storeContent?: any;
    distanceKm?: any;
    mapIcon?: any;
    features?: any;
    url?: string;
    responseBody?: any;
    errors?: any[];
    status?: number;
}

interface Address {
    phone: string;
    postalCode: string;
    formattedAddress: string;
    firstName?: any;
    title?: any;
    line1?: string;
    defaultAddress?: boolean;
    lastName?: any;
    email?: any;
    titleCode?: any;
    nickname?: any;
    line2?: any;
    town?: string;
    phone2?: any;
    experience?: any;
    companyName?: any;
    visibleInAddressBook?: boolean;
    shippingAddress?: boolean;
    billingAddress?: boolean;
    secondaryPhoneExt?: any;
    secondaryPhoneType?: any;
    primaryPhoneExt?: any;
    eveningPhoneExt?: any;
    eveningPhone?: any;
    primaryPhoneType?: any;
    eveningPhoneType?: any;
    defaultStr?: string;
    formattedPhone?: string;
    formattedPhone2?: any;
    formattedEveningPhone?: any;
    building?: any;
    country?: Country;
    region?: Region;
    id?: string;
    responseBody?: any;
    errors?: any[];
    status?: number;
}
export interface GeoPoint {
    latitude: number;
    longitude: number;
}

interface Region {
    countryIso: string;
    isocodeShort: string;
    isocode: string;
    name: string;
}

interface Country {
    isocode: string;
    name: string;
}

interface OpeningHours {
    formatOpeningDayList?: FormatOpeningDayList[];
    code?: string;
    specialDayOpeningList?: any;
    weekDayOpeningList?: WeekDayOpeningList[];
    name?: any;
}

interface WeekDayOpeningList {
    weekDay: string;
    closed?: boolean;
    openingTime: OpeningTime;
    closingTime: OpeningTime;
}

export interface OpeningTime {
    formattedHour: string;
    hour?: number;
    minute?: number;
}

interface FormatOpeningDayList {
    day: string;
    time: string;
}

export interface GlobalHeaderLocalizeAkamai {
    autoLocateLoading?: boolean;
    storeTitle?: string;
    storeAddress?: string;
    storePhone?: string;
    storeHours?: string;
}

export interface GlobalHeaderLocalizeHours {
    formattedHours?: FormatOpeningDayList[];
    phone?: string;
}

export interface GlobalHeaderLocalizeStoreSelector {
    stores?: Stores[];
    pagination?: Pagination;
    query?: string;
    isInGlobalHeader?: boolean;
}

export interface GlobalHeaderLocalizeUI {
    akamai?: boolean;
    hours?: boolean;
    storeSelector?: boolean;
}

export interface GlobalHeaderLocalizationUI {
    nearestStoreSelected?: boolean;
}

export interface LocalizationData {
    latitude: number;
    longitude: number;
    pageSize: string;
    currentPage: string;
    query?: string;
}
