export interface StoreInformation {
    address: Address;
    displayName: string;
    geoPoint: GeoPoint;
    name: string;
    openingHours: OpeningHours;
    sisterStores?: StoreInformation[];
  }

  interface OpeningHours {
    code: string;
    weekDayOpeningList: WeekDayOpeningList[];
  }

  interface WeekDayOpeningList {
    closingTime: ClosingTime;
    openingTime: ClosingTime;
    closed: boolean;
    weekDay: string;
  }

  interface ClosingTime {
    formattedHour: string;
    hour: number;
    minute: number;
  }

  interface GeoPoint {
    latitude: number;
    longitude: number;
  }

  interface Address {
    billingAddress: boolean;
    country: Country;
    defaultAddress: boolean;
    id: string;
    line1: string;
    phone: string;
    postalCode: string;
    region: Country;
    shippingAddress: boolean;
    town: string;
  }

  interface Country {
    isocode: string;
  }
