import * as globalRouting from '../../actions/global-routing/global-routing.action';

export interface GlobalRouting {
  productId?: string;
}

export const nullState: GlobalRouting = {
  productId: undefined
};

export const initialState = ((): GlobalRouting => {
  return nullState;
})();

export function globalRoutingReducer(
  state = initialState,
  action: globalRouting.GlobalRoutingActions
): GlobalRouting {
  switch (action.type) {
    case globalRouting.PRODUCT_ID_RECEIVED:
      return {
        ...state,
        productId: action.productId
      };

    default: {
      return state;
    }
  }
}
