import * as NavNodesActions from '../../actions/global-header/nav-nodes/nav-nodes.action';
import { NavNodes } from '../../models/nav-nodes.interface';
import { localStorageUtil } from '@hdca/fe-angular-shared';

export interface NavNodesState extends NavNodes {

}

export const nullState: NavNodes = {
    client: undefined,
    children: [],
    categoryCode: '',
    desktopHide: false,
    external: false,
    uid: '',
    icon: '',
    linkId: '',
    linkName: '',
    title: '',
    links: [],
    url: '',
    longTitle: '',
    messageLinks: [],
    desktopOrder: null,
    banners: []
};

export const initialState = ((): NavNodes => {
    const prefetchedState = <NavNodes>localStorageUtil.getLocalStorageItem('serviceConnect', '');
    if (prefetchedState) {
      return prefetchedState;
    } else {
      return nullState;
    }
  })();

export function navNodesReducer(state = initialState, action: NavNodesActions.NavNodeActions): NavNodesState {
    switch (action.type) {
        case NavNodesActions.LOAD_NAV_NODES_SUCCESS: {
            return { ...state, ...action.payload, client: action.client };
        }

        default: {
            return state;
        }
    }
}
