export const getNodeByUid = (data, uid) => {
    const children = (data && data.children) || [];
    const nodes = children.filter(item => item.uid && item.uid === uid);
    return nodes.length > 0 ? nodes[0] : null;
};

export const getNodeByUidAbsolute = (data, uid) => {
    if (!!data) {
        const nodes = data.filter(item => item.uid && item.uid === uid);
        return nodes.length > 0 ? nodes[0] : null;
    } else {
        return null;
    }
};

export const compareNodes = (a, b) => {
    if (a.desktopOrder < b.desktopOrder) {
        return -1;
    }
    if (a.desktopOrder > b.desktopOrder) {
        return 1;
    }
    return 0;
};

export const getNodesWithNoBanner = (node) => node && node.children && node.children.filter(item => !!item && !item.banners && !item.desktopHide).sort(compareNodes);
export const getNodesWithBanner = (node) => {
    const nodes = node && node.children && node.children.filter(item => !!item && !!item.banners);
    return nodes && nodes.length > 0 ? nodes[0] : {uid: ''};
};
