import { Component, Input, AfterViewInit } from '@angular/core';
import {
    GlobalNotificationItemInterface,
    GlobalNotificationType
} from '../../models/global-notification.interface';
import { Store } from '@ngrx/store';
import { State } from '../../../../reducers';
import { RemoveNotification } from '../../actions/global-notification.actions';

@Component({
    selector: '[global-notification-item-container]',
    templateUrl: 'global-notification-item.container.html'
})
export class GlobalNotificationItemContainer implements AfterViewInit {

    @Input('itemData') itemData: GlobalNotificationItemInterface;
    public type = GlobalNotificationType;

    constructor(private store: Store<State>) {
    }

    ngAfterViewInit() {
        this.autoDismiss();
    }

    private autoDismiss(): void {
        if (this.itemData.dismissTimeOut) {
            setTimeout(() => {
                this.dismiss();
            } , this.itemData.dismissTimeOut);
        }
    }

    public dismiss(): void {
        if (this.itemData.id) {
            this.store.dispatch(new RemoveNotification(this.itemData.id));
        }
    }
}
