import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs/index';
import { GlobalNotificationState } from '../../reducers/global-notification-ui/global-notification.reducer';
import { select, Store } from '@ngrx/store';
import { State } from '../../../../reducers';
import { selectGlobalNotificationUIState } from '../../selectors/global-notification.selectors';

@Component({
    selector: 'global-notification-container',
    templateUrl: './global-notification.container.html'
})
export class GlobalNotificationContainer implements OnInit {

    public notificationUI$: Observable <GlobalNotificationState>;

    constructor(private store: Store<State>) {
    }

    ngOnInit(): void {
        this.initObservables();
    }

    private initObservables() {
        this.notificationUI$ = this.store.pipe(
            select(selectGlobalNotificationUIState)
        );
    }

}
