import {GlobalNotificationInterface} from '../../models/global-notification.interface';
import {
    GlobalNotificationActions,
    GlobalNotificationActionTypes
} from '../../actions/global-notification.actions';

export interface GlobalNotificationState extends GlobalNotificationInterface {}

export const initialState: GlobalNotificationState = {
    notifications: []
};

export function globalNotificationReducer(state = initialState, action: GlobalNotificationActions): GlobalNotificationState {

    switch (action.type) {
        case GlobalNotificationActionTypes.AddNotification:
            const filterSate = {
                ...state,
                notifications : state.notifications.filter(obj => obj.id !== action.payload.id)
            };
            return {
                ...filterSate,
                notifications: [ action.payload, ...filterSate.notifications ]
            };

        case GlobalNotificationActionTypes.RemoveNotification:
            return {
                ...state,
                notifications : state.notifications.filter(obj => obj.id !== action.id)
            };

        case GlobalNotificationActionTypes.RemoveAllNotification:
            return initialState;

        default: {
            return state;
        }
    }
}
