import { Action } from '@ngrx/store';
import { PETADestinationsInterface } from '../models/peta-destinations.interface';

export const LOAD_PETA_DESTINATIONS_ACTION = 'LOAD_PETA_DESTINATIONS_ACTION';
export const LOAD_PETA_DESTINATIONS_SUCCESS_ACTION = 'LOAD_PETA_DESTINATIONS_SUCCESS_ACTION';
export const PETA_DESTINATIONS_SET_TO_DEFAULT_ACTION = 'PETA_DESTINATIONS_SET_TO_DEFAULT_ACTION';

export class LoadPETADestinationsAction implements Action {
    readonly type = LOAD_PETA_DESTINATIONS_ACTION;
    constructor(
      public customerId: string
    ) {}
}

export class LoadPETADestinationsSuccessAction implements Action {
    readonly type = LOAD_PETA_DESTINATIONS_SUCCESS_ACTION;
    constructor(
      public payload: PETADestinationsInterface
    ) {}
}

export class PETADestinationsSetToDefaultAction implements Action {
    readonly type = PETA_DESTINATIONS_SET_TO_DEFAULT_ACTION;
    constructor() {}
}

export type PetaDestinationActions =
  LoadPETADestinationsAction |
  LoadPETADestinationsSuccessAction |
  PETADestinationsSetToDefaultAction;
