import { Action } from '@ngrx/store';
import { PETAInterface } from '../models/peta.interface';

export const LOAD_PETA_LOADING = 'LOAD_PETA_LOADING';
export const LOAD_PETA_ACTION = 'LOAD_PETA_ACTION';
export const LOAD_PETA_SUCCESS_ACTION = 'LOAD_PETA_SUCCESS_ACTION';
export const LOAD_PETA_LIST_LOADING = 'LOAD_PETA_LIST_LOADING';
export const LOAD_PETA_LIST_ACTION = 'LOAD_PETA_LIST_ACTION';
export const LOAD_PETA_LIST_SUCCESS_ACTION = 'LOAD_PETA_LIST_SUCCESS_ACTION';
export const LOAD_PETA_ERROR = 'LOAD_PETA_ERROR';

export class LoadPETALoading implements Action {
    readonly type = LOAD_PETA_LOADING;
    constructor(
      public loading: boolean
    ) {}
}

export class LoadPETAListLoading implements Action {
    readonly type = LOAD_PETA_LIST_LOADING;
    constructor(
        public loading: boolean
    ) {}
}

export class LoadPETAListAction implements Action {
    readonly type = LOAD_PETA_LIST_ACTION;
    constructor(
        public sapClient: string,
        public sapLang: string,
        public requestPayload: PETAInterface[]
    ) {}
}

export class LoadPETAAction implements Action {
    readonly type = LOAD_PETA_ACTION;
    constructor(
      public sapClient: string,
      public sapLang: string,
      public requestPayload: any
    ) {}
}

export class LoadPETASuccessAction implements Action {
    readonly type = LOAD_PETA_SUCCESS_ACTION;
    constructor(
        public payload: PETAInterface,
    ) {}
}

export class LoadPETAListSuccessAction implements Action {
    readonly type = LOAD_PETA_LIST_SUCCESS_ACTION;
    constructor(
        public payload: PETAInterface[]
    ) {}
}

export class LoadPETAError implements Action {
    readonly type = LOAD_PETA_ERROR;
    constructor(
      public error: boolean
    ) {}
}

export type PetaActions =
  LoadPETALoading |
  LoadPETAListLoading |
  LoadPETAAction |
  LoadPETAListAction |
  LoadPETASuccessAction |
  LoadPETAListSuccessAction |
  LoadPETAError;
