import { apiUrls } from './api.constants';

describe('Cart 2.0', () => {
    describe('api urls constant', () => {
        const apiUrlsMock = {
            BASE_URL: '/homedepotcacommercewebservices/v2/homedepotca',
            GET_PETA_DEV: (sapClient, saplang) => `//services-dev.homedepot.ca/v1/sourcing?sap-client=${sapClient}&sap-language=${saplang}`,
            GET_PETA_QA: (sapClient, saplang) => `//services-qa.homedepot.ca/v1/sourcing?sap-client=${sapClient}&sap-language=${saplang}`,
            GET_PETA_QP: (sapClient, saplang) => `//services-qp.homedepot.ca/v1/sourcing?sap-client=${sapClient}&sap-language=${saplang}`,
            GET_PETA_PROD: (sapClient, saplang) => `//services.homedepot.ca/v1/sourcing?sap-client=${sapClient}&sap-language=${saplang}`
        };

        it('should have `BASE_URL` value', () => {
            expect(apiUrls.BASE_URL).toEqual(apiUrlsMock.BASE_URL);
        });

        it('should have `production` value', () => {
            const getVal = apiUrls.GET_PETA_PROD('500', 'en');
            const getValMock = apiUrlsMock.GET_PETA_PROD('500', 'en');
            expect(getVal).toEqual(getValMock);
        });

        it('should have `QP` value', () => {
            const getVal = apiUrls.GET_PETA_QP('500', 'en');
            const getValMock = apiUrlsMock.GET_PETA_QP('500', 'en');
            expect(getVal).toEqual(getValMock);
        });

        it('should have `DEV` value', () => {
            const getVal = apiUrls.GET_PETA_DEV('500', 'en');
            const getValMock = apiUrlsMock.GET_PETA_DEV('500', 'en');
            expect(getVal).toEqual(getValMock);
        });
    });
});
