/**
 * Based on SAP response for PETA, all fields are uppercase
 */
export interface PETAInterface {
    SOURCING_RESULT: SOURCINGRESULT;
}

export interface SOURCINGRESULT {
    SOURCING_RESULTS: SOURCINGRESULTS[];
    MESSAGES: any[];
    RESERVATION_SUCCESSFUL: string;
}

export interface SOURCINGRESULTS {
    SOURCING_STRATEGY_ID: string;
    BUSINESS_OBJECTIVE_ID: string;
    CART_ITEMS: CARTITEM[];
    ADDITIONAL_INFORMATION: any[];
}

export interface CARTITEM {
    EXTERNAL_ID: string;
    SOURCE: string;
    AVAILABILITY: AVAILABILITY[];
    PUR_PLANT: string;
    ADDITIONAL_INFORMATION: any[];
    FULFILLMENT_TYPE: string;
    FULFILLMENT_ETA: string;
    FULFILLMENT_UNIT: string;
    PALLET_NO: number;
    ASSET_TYPE: string;
    SHIP_TYPE: string;
}

interface AVAILABILITY {
    ATP_DATE: string;
    QUANTITY: number;
}
