import { NgModule } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { TransferState } from '@angular/platform-browser';

import { TranslateLoader, TranslateModule } from '@ngx-translate/core';

import { TranslatesService } from '../translation.service';

import { TranslatesBrowserLoaderService } from './translation-browser-loader.service';

export function translateStaticLoaderBrowser(http: HttpClient, transferState: TransferState): TranslatesBrowserLoaderService {
  return new TranslatesBrowserLoaderService('/node-assets/i18n/server', '.json', transferState, http);
}

@NgModule({
  imports: [
    TranslateModule.forRoot({
      loader: {
        provide: TranslateLoader,
        useFactory: translateStaticLoaderBrowser,
        deps: [HttpClient, TransferState]
      }
    }
    ),
  ],
  providers: [TranslatesService]
})
export class TranslatesBrowserModule {
}
