import { Injectable } from '@angular/core';

const url = '//www.bing.com/api/maps/mapcontrol?key=AuqpldZ_2fG4CPVPbpOai0k5GU-NTYboN6Ylvr1cxlYMgdSGPOM4bC-F-i-BTfNw&callback=storeLocation(value)';

@Injectable()
export class BingMapFsaService {
    private static promise: Promise<any> = undefined;

    public static load(value) {
        // First time 'load' is called?
        if (!BingMapFsaService.promise) {

            // Make promise to load
            BingMapFsaService.promise = new Promise(resolve => {

                // Set callback for when bing maps is loaded.
                if (typeof window !== 'undefined') {
                    window['storeLocation(value)'] = (ev) => {
                        resolve('Bing Maps API loaded');
                    };
                }

                if (typeof window !== 'undefined') {
                    const node = document.createElement('script');
                    node.src = url;
                    node.type = 'text/javascript';
                    node.async = true;
                    node.defer = true;
                    document.getElementsByTagName('head')[0].appendChild(node);
                }
            });
        }

        // Always return promise. When 'load' is called many times, the promise is already resolved.
        return BingMapFsaService.promise;
    }
}
