import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';

const url = '//www.bing.com/api/maps/mapcontrol?callback=__onBingLoaded&branch=release';

@Injectable()
export class BingMapService {
    private static promise: Promise<any> = undefined;
    public storesObservable = new Subject<number>();

    public static load() {
        // First time 'load' is called?
        if (!BingMapService.promise) {

            // Make promise to load
            BingMapService.promise = new Promise(resolve => {

                // Set callback for when bing maps is loaded.
                if (typeof window !== 'undefined') {
                    window['__onBingLoaded'] = (ev) => {
                        resolve('Bing Maps API loaded');
                    };
                }

                if (typeof window !== 'undefined') {
                    const node = document.createElement('script');
                    node.src = url;
                    node.type = 'text/javascript';
                    node.async = true;
                    node.defer = true;
                    document.getElementsByTagName('head')[0].appendChild(node);
                }
            });
        }

        // Always return promise. When 'load' is called many times, the promise is already resolved.
        return BingMapService.promise;
    }

    emitStoresChange(val) {
        this.storesObservable.next(val);
    }
}
