import 'rxjs/add/observable/of';
import 'rxjs/add/operator/delay';
import 'rxjs/add/operator/concatMap';
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { TokenRefreshService } from '../token-refresh/token-refresh.service';
import { of } from 'rxjs';

@Injectable()
export class DataSender {

    constructor(private http: HttpClient, private tokenRefreshService: TokenRefreshService) { }

    post(url: string, lang: string, payload?: any, headers?: HttpHeaders): Observable<any> {
        let params = new HttpParams();
        const options = {};
        params = params.append('lang', lang);
        options['params'] = params;
        if (!!headers) {
            options['headers'] = headers;
        }
        return this.tokenRefreshService.checkExpiry().
            concatMap(() => {
                if (typeof window !== 'undefined') {
                    return this.http.post<any>(url, payload, options);
                } else {
                    return of({});
                }
            });
    }

    delete(url: string, lang: string, opts?: any): Observable<any> {
        let params = new HttpParams();
        params = params.append('lang', lang);
        params = params.append('apiCall', 'true');
        const formedOpts = { ...opts, params };
        return this.tokenRefreshService.checkExpiry().
            concatMap(() => {
                if (typeof window !== 'undefined') {
                    return this.http.delete<any>(url, formedOpts);
                } else {
                    return Observable.of({});
                }
            });
    }
}
