import { Optional, Injectable, ErrorHandler, Inject } from '@angular/core';

@Injectable()
export class CustomErrorHandlerService extends ErrorHandler {

    constructor(@Optional() @Inject('ERROR_WRAPPER') private errorWrapper: ErrorHandler) {
        super();
    }

    handleError(error: Error) {
        console.log(`javascript error: ${error.stack}`);
        if (this.errorWrapper) {
            this.errorWrapper.handleError = () => error;
        }
    }
}
