import { URL_PATTERNS } from './patterns.config';

import { mockConfigurations } from '../../stubs/configurations.stub';
import { mockStoreInfo } from '../../stubs/store-information.stub';
import { mockServices } from '../../stubs/services.stub';
import { mockSurveyQuestionsByService } from '../../stubs/survey-questions-by-service.stub';
import { mockProReferralResponse } from '../../stubs/pro-referral-check.stub';
import { mockAddresses } from '../../stubs/addresses.stub';
import { mockBanners } from '../../stubs/banners.stub';
import { userWithCartData } from '../../stubs/cart/cart.stub';
import { estimateCartData } from '../../stubs/cart/estimate.stub';
import { changeCartData } from '../../stubs/cart/change.cart.stub';
import { productHtml } from '../../stubs/cart/shop-by-department.stub';
import { trendingProductsData } from '../../stubs/cart/trending-products.stub';
import { applianceDeliveryDates } from '../../stubs/cart/appliance-delivery-date.stub';
import { bodfsDeliveryDates } from '../../stubs/cart/bodfs-delivery-date.stub';
import { mockToolsConfigurations } from '../../stubs/tools.configurations.stub';

import { mockPaypalToken } from '../../stubs/paypal-token.stub';
import { mockPickUpStores } from '../../stubs/pick-up-stores.stub';
import { mockCommerceStore } from '../../stubs/commerce-store.stub';
import { mockLocalize } from '../../stubs/localize.stub';
import { mockSearchTopResults } from '../../stubs/search-top-results.stub';
import { mockKeywordSuggestions } from '../../stubs/search-keyword-suggestions.stub';
import { mockLogin } from '../../stubs/login.stub';
import { mockLogout } from '../../stubs/logout.stub';
import { mockNavNodes } from '../../stubs/nav-nodes.stub';
import { mockProServices } from '../../stubs/pro-referral/pro-services.stub';
import { mockProAvailable } from '../../stubs/pro-referral/pro-available.stub';
import { mockProAreas } from '../../stubs/pro-referral/pro-areas.stub';
import { mockProProfile } from '../../stubs/pro-referral/pro-profile.stub';
import { mockJobDetailsQuestion } from '../../stubs/pro-referral/job-details-question.stub';
import { mockProReferralJobDetailsImage } from '../../stubs/pro-referral/job-details-image.stub';
import { mockDeleteImageResponse } from '../../stubs/pro-referral/job-details-image.stub';
import { mockProProducts } from '../../stubs/pro-referral/pro-products.stub';
import { mockSearchServices } from '../../stubs/search-services.stub';
import { mockSaveLead } from '../../stubs/pro-referral/save-lead.stub';
import { mockSaveContact } from '../../stubs/pro-referral/save-contact.stub';
import { mockSubmitLead } from '../../stubs/pro-referral/submit-lead.stub';
import { mockRecentServices } from '../../stubs/recent-services.stub';
import { mockProductFbtLocalizedData } from '../../stubs/product/product-localized-fbt-data.stub';
import { mockProductFbtUnlocalizedData } from '../../stubs/product/product-unlocalized-fbt-data.stub';
import { mockProductLocalizedData } from '../../stubs/product/product-localized-data.stub';
import { mockEstimateShippingData } from '../../stubs/product/estimate-shipping-data.stub';
import { mockProCreditHistory } from '../../stubs/pro-referral/pro-credit-history.stub';
import { mockSaveProLanguage } from '../../stubs/pro-referral/pro-language.stub';
import { mockRemoveProLanguage } from '../../stubs/pro-referral/pro-language-remove.stub';
import { mockSentSms } from '../../stubs/pro-referral/pro-sent-sms.stub';
import { mockProductReviewBVToken } from '../../stubs/product/product-reviews-bv-data.stub';
import { mockProductUnlocalizedData } from '../../stubs/product/product-unlocalized-data.stub';
import { mockProductReviewBVData } from '../../stubs/product/product-reviews-bv-data.stub';
import { mockStoreSelectorsProductData } from '../../stubs/store-selectors/store-selectors-product/store-selectors-product-data.stub';
import { mockStoreSelectorsCurrentStoreData } from '../../stubs/store-selectors/store-selectors-current-store/store-selectors-current-store-data.stub';
import { mockStoreSelectorsSelectStoreData } from '../../stubs/store-selectors/store-selectors-select/store-selectors-select-store-data.stub';
import { mockPetaDestinationsData } from '../../stubs/peta/peta-destinations.stub';
import { mockPETARequestData } from '../../stubs/peta/peta.stub';
import { mockMultipleProductUnlocalizedData } from '../../stubs/product/product-unlocalized-data.stub';
import { mockProductVariantsOptimizedPrice } from '../../stubs/product/variants-optimized-price.stub';
import { mockGlobalCartAddItemData } from '../../stubs/cart/global-cart-add-item-data.stub';
import { mockGlobalCartCreateAnonymousSessionData } from '../../stubs/cart/global-cart-create-anonymous-session-data.stub';
import { mockApplianceAvailabilityData } from '../../stubs/product/appliance-availability-data.stubs';
import { mockProReviewBVData } from '../../stubs/pro-referral/pro-reviews-bv-data.stub';
import {  mockServiceConnectSubmitLead } from '../../stubs/submit-lead-installation-services.stub';

export const mockItems = {
    storeInfo: {
        pattern: URL_PATTERNS.STORE,
        mocks: mockStoreInfo
    },
    serviceCategories: {
        pattern: URL_PATTERNS.SERVICE,
        mocks: mockServices
    },
    configurations: {
        pattern: URL_PATTERNS.CONFIG,
        mocks: mockConfigurations
    },
    proReferralCheck: {
        pattern: URL_PATTERNS.PROREFERRAL,
        mocks: mockProReferralResponse
    },
    surveyQuestions: {
        pattern: URL_PATTERNS.SURVEY,
        mocks: mockSurveyQuestionsByService
    },
    address: {
        pattern: URL_PATTERNS.ADDRESS,
        mocks: mockAddresses
    },
    banners: {
        pattern: URL_PATTERNS.BANNERS,
        mocks: mockBanners
    },
    estimate: {
        pattern: URL_PATTERNS.ESTIMATE,
        mocks: estimateCartData
    },
    shopByDepartment: {
        pattern: URL_PATTERNS.SHOP_BY_DEPARTMENT,
        mocks: productHtml
    },
    applianceDeliveryDate: {
        pattern: URL_PATTERNS.APPLIANCE_DELIVERY_DATE,
        mocks: applianceDeliveryDates
    },
    bodfsDeliveryDate: {
        pattern: URL_PATTERNS.BODFS_DELIVERY_DATE,
        mocks: bodfsDeliveryDates
    },
    toolsConfigurations: {
        pattern: URL_PATTERNS.TOOLS_CONFIGURATIONS,
        mocks: mockToolsConfigurations
    },
    paypalToken: {
        pattern: URL_PATTERNS.PAYPAL_TOKEN,
        mocks: mockPaypalToken
    },
    pickUpStoreSelector: {
        pattern: URL_PATTERNS.PICK_UP_STORES,
        mocks: mockPickUpStores
    },
    commerceStore: {
        pattern: URL_PATTERNS.COMMERCE_STORE,
        mocks: mockCommerceStore
    },
    proProfile: {
        pattern: URL_PATTERNS.PRO_PROFILE,
        mocks: mockProProfile
    },
    localize: {
        pattern: URL_PATTERNS.LOCALIZE,
        mocks: mockLocalize
    },
    searchKeywordSuggestions: {
        pattern: URL_PATTERNS.SEARCHKEYWORDSUGGESTIONS,
        mocks: mockKeywordSuggestions
    },
    searchTopResults: {
        pattern: URL_PATTERNS.SEARCHTOPRESULTS,
        mocks: mockSearchTopResults
    },
    login: {
        pattern: URL_PATTERNS.LOGIN,
        mocks: mockLogin
    },
    logout: {
        pattern: URL_PATTERNS.LOGOUT,
        mocks: mockLogout
    },
    globalHeaderNav: {
        pattern: URL_PATTERNS.NAVNODES,
        mocks: mockNavNodes
    },
    commerceToken: {
        pattern: URL_PATTERNS.COMMERCE_TOKEN,
        mocks: {}
    },
    proServices: {
        pattern: URL_PATTERNS.PRO_SERVICES,
        mocks: mockProServices
    },
    proAvailable: {
        pattern: URL_PATTERNS.PRO_AVAILABLE,
        mocks: mockProAvailable
    },
    proAreas: {
        pattern: URL_PATTERNS.PRO_AREAS,
        mocks: mockProAreas
    },
    jobDetailsQuestion: {
        pattern: URL_PATTERNS.PRO_QUESTIONES,
        mocks: mockJobDetailsQuestion
    },
    jobDetailsImage: {
        pattern: URL_PATTERNS.PRO_SAVEIMAGE,
        mocks: mockProReferralJobDetailsImage
    },
    jobDetailsDelImage: {
        pattern: URL_PATTERNS.PRO_DELIMAGE,
        mocks: mockDeleteImageResponse
    },
    mockProProducts: {
        pattern: URL_PATTERNS.PRO_PRODUCTS,
        mocks: mockProProducts
    },
    searchServices: {
        pattern: URL_PATTERNS.SEARCH_SERVICES,
        mocks: mockSearchServices
    },
    saveLead: {
        pattern: URL_PATTERNS.SAVE_LEAD,
        mocks: mockSaveLead
    },
    submitLead: {
        pattern: URL_PATTERNS.SUBMIT_LEAD,
        mocks: mockSubmitLead
    },
    submitContact: {
        pattern: URL_PATTERNS.SUBMIT_CONTACT,
        mocks: mockSaveContact
    },
    recentServices: {
        pattern: URL_PATTERNS.RECENT_SERVICES,
        mocks: mockRecentServices
    },
    cart: {
        pattern: URL_PATTERNS.CART,
        mocks: userWithCartData
    },
    changeCart: {
        pattern: URL_PATTERNS.CHANGE_CART,
        mocks: changeCartData
    },
    petaDestinationsRequest: {
        pattern: URL_PATTERNS.PETA_DESTINATIONS,
        mocks: mockPetaDestinationsData
    },
    petaRequest: {
        pattern: URL_PATTERNS.PETA,
        mocks: mockPETARequestData
    },
    productUnlocalized: {
        pattern: URL_PATTERNS.PRODUCT_UNLOCALIZED,
        mocks: mockProductUnlocalizedData
    },
    productUnlocalized_1000755816: {
        pattern: URL_PATTERNS.PRODUCT_UNLOCALIZED_1000755816,
        mocks: mockMultipleProductUnlocalizedData['1000755816']
    },
    productUnlocalized_1000755818: {
        pattern: URL_PATTERNS.PRODUCT_UNLOCALIZED_1000755818,
        mocks: mockMultipleProductUnlocalizedData['1000755818']
    },
    productLocalized_1000755816: {
        pattern: URL_PATTERNS.PRODUCT_LOCALIZED_1000755816,
        mocks: mockProductLocalizedData['1000755816']
    },
    productLocalized_1000755818: {
        pattern: URL_PATTERNS.PRODUCT_LOCALIZED_1000755818,
        mocks: mockProductLocalizedData['1000755818']
    },
    productFbtLocalized_1000755816: {
        pattern: URL_PATTERNS.PRODUCT_FBT_LOCALIZED_1000755816,
        mocks: mockProductFbtLocalizedData['1000755816']
    },
    productFbtUnlocalized_1000755816: {
        pattern: URL_PATTERNS.PRODUCT_FBT_UNLOCALIZED_1000755816,
        mocks: mockProductFbtUnlocalizedData['1000755816']
    },
    estimateShipping: {
        pattern: URL_PATTERNS.ESTIMATE_SHIPPING,
        mocks: mockEstimateShippingData
    },
    saveLanguage: {
        pattern: URL_PATTERNS.SAVE_LANGUAGE,
        mocks: mockSaveProLanguage
    },
    RemoveLanguage: {
        pattern: URL_PATTERNS.REMOVE_LANGUAGE,
        mocks: mockRemoveProLanguage
    },
    SentSMS: {
        pattern: URL_PATTERNS.SENT_SMS,
        mocks: mockSentSms
    },
    proCreditHistory: {
        pattern: URL_PATTERNS.PRO_CREDIT_HISTORY,
        mocks: mockProCreditHistory
    },
    marketingBanners: {
        pattern: URL_PATTERNS.MARKETING_BANNERS,
        mocks: mockBanners
    },
    productReviewBVToken: {
        pattern: URL_PATTERNS.PRODUCT_REVIEW_BV_TOKEN,
        mocks: mockProductReviewBVToken
    },
    productReviewBVData: {
        pattern: URL_PATTERNS.PRODUCT_REVIEW_BV_DATA,
        mocks: mockProductReviewBVData
    },
    storeSelectorsProductData: {
        pattern: URL_PATTERNS.STORE_SELECTORS_PRODUCT,
        mocks: mockStoreSelectorsProductData
    },
    storeSelectorsCurrentStoreData: {
        pattern: URL_PATTERNS.STORE_SELECTORS_CURRENT_STORE,
        mocks: mockStoreSelectorsCurrentStoreData
    },
    storeSelectorsSelectStoreData: {
        pattern: URL_PATTERNS.STORE_SELECTORS_SELECT_STORE,
        mocks: mockStoreSelectorsSelectStoreData
    },
    productVariantsOptimizedPrice: {
        pattern: URL_PATTERNS.PRODUCT_VARIANTS_OPTIMIZED_PRICE,
        mocks: mockProductVariantsOptimizedPrice
    },
    globalCartCreateAnonymousSessionData: {
        pattern: URL_PATTERNS.CREATE_CART_SESSION,
        mocks: mockGlobalCartCreateAnonymousSessionData
    },
    globalCartAddItemData: {
        pattern: URL_PATTERNS.ADD_ITEM_TO_CART,
        mocks: mockGlobalCartAddItemData
    },
    applianceAvailability: {
        pattern: URL_PATTERNS.APPLIANCE_AVAILABILITY,
        mocks: mockApplianceAvailabilityData
    },
    trendingProducts: {
        pattern: URL_PATTERNS.TRENDING_PRODUCTS,
        mocks: trendingProductsData
    },
    proProfileByPhone: {
        pattern: URL_PATTERNS.PRO_PROFILE_BY_PHONE,
        mocks: mockProProfile
    },
    proBvData: {
        pattern: URL_PATTERNS.PRO_REVIEW_BV_DATA,
        mocks: mockProReviewBVData
    },
    submitISLead: {
        pattern: URL_PATTERNS.SUBMIT_IS_LEAD,
        mocks: mockServiceConnectSubmitLead
    }
};
