import { Injectable, PLATFORM_ID, Inject } from '@angular/core';
import { subDomain } from '../../tokens'; // if you are receiving an error for this, that means you are missing running npm run version
import { isPlatformServer } from '@angular/common';

@Injectable()
export class OriginService {
  subDomain: string;
  constructor(@Inject(PLATFORM_ID) private platformId, @Inject(subDomain) subDomainDi) {
    this.subDomain = subDomainDi;
  }

  getOrigin() {
    if (this.subDomain.includes('docker')) {
      if (isPlatformServer(this.platformId)) {
        return `http://${this.subDomain}.homedepot.ca`;
      }
    }
    // All environments should be on https
    return `https://${this.subDomain}.homedepot.ca`;
  }
}
