import { ProductUnlocalizedData } from '../../models/product-unlocalized-data.interface';

const mock1000755816: any = {
  'gallery': [
    'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg',
    'https://s7d2.scene7.com/is/image/homedepotcanada/p_1000658589.jpg',
    'https://s7d2.scene7.com/is/image/homedepotcanada/p_1000859545.jpg',
    'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg'],
  'badges': [{ code: 'SB', name: 'SB' }, { code: 'NLP', name: 'NLP' }],
  'articleType': 'Z003',
  'availableForPickup': false,
  'availableRelationships' : [ 'CollectionOfItems', 'ACCESSORIES' ],
  'averageRating': 3.0,
  'bodfs': false,
  'bopis': true,
  'boss': false,
  'buyable': false,
  'breadCrumbs': [{
    'title': 'Home',
    'url': '/en/home.html'
  }, {
    'title': '1000755816',
    'url': '/en/home/p.dewalt-dcd796d2-20v-max-xr-li-ion-cordless-brushless-compact-hammer-drill-kit.1000755816.html'
  }],
  'code': '1000755816',
  'countryOfOrigin': 'CN-China',
  'deliveryTime': '5 - 10',
  'deliveryUnit': 'Days',
  'depotDirect': true,
  'description': 'The Universal Hammock Stand with Double Hammock is our top choice for combos. The double hammock is made with 100% cotton, creating a comfortable refuge for an afternoon snuggle. The hammock stand is constructed of heavy duty steel and assembles in minutes without any tools. Plastic caps are used on the ends of the steel tubing to create a soft finish. You will enjoy the freedom the stand provides by allowing you to set up your hammock in the most convenient location and no longer rely on those 2 perfect trees.',
  'documents': [{
    'URL': 'https://images.homedepot.ca/s7viewers/html5/eCatalogViewer.html?config=Scene7SharedAssets/Universal_HTML5_eCatalog&asset=homedepotcanada/Energy_Guide_1000652736.pdf',
    'mime': 'application/pdf',
    'name': 'Energy_Guide_1000652736.pdf'
  },
  {
    'URL': 'https://images.homedepot.ca/s7viewers/html5/eCatalogViewer.html?config=Scene7SharedAssets/Universal_HTML5_eCatalog&asset=homedepotcanada/Energy_Guide_1000652736.pdf',
    'mime': 'application/pdf',
    'name': 'Installation_Guide_1000652736'
  }],
  'ecoFeeEligible': false,
  'freeShipping': 1,
  'alternateImages': [{
    'altText': '8 ft. Combo Steel Stand with Double Hammock',
    'format': 'desktop',
    'imageType': 'PRIMARY',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg'
  }, {
    'altText': 'DEWALT 20V MAX Lithium-Ion Cordless Drill/Driver and Impact Combo Kit with Batteries, Charger and Bag',
    'format': 'desktop',
    'imageType': 'PRIMARY',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1000658589.jpg'
  }, {
    'altText': 'Milwaukee Tool M12 12V Lithium-Ion Cordless 1/4-Inch Hex Screwdriver Kit W/(2) 1.5Ah Batteries, Charger & Tool Bag',
    'format': 'desktop',
    'imageType': 'PRIMARY',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1000859545.jpg'
  }, {
    'altText': '8 ft. Combo Steel Stand with Double Hammock',
    'format': 'desktop',
    'imageType': 'PRIMARY',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg'
  }],
  'installationEligible': true,
  'isBopisOutOfAreaEnabled': true,
  'itemDepth': 51.0,
  'itemHeight': 7.0,
  'itemWeight': 35.0,
  'itemWidth': 9.0,
  'legacyId': '806324',
  'manufacturer': 'Vivere',
  'messageType': 0,
  'modelNumber': 'UHSDO8',
  'modifiedtime': '2018-03-13T14:13:35-0400',
  'name': '8 ft. Combo Steel Stand with Double Hammock',
  'numberOfQuestions': 5,
  'numberOfReviews': 2,
  'price': {
    'currencyIso': 'CAD',
    'formattedValue': '$58.16',
    'priceType': 'BUY',
    'value': 58.16
  },
  'productFeatures': [{
    'code': 'Bullet1',
    'comparable': false,
    'featureValues': [{
      'value': 'Capacity: 450 lbs.'
    }],
    'name': 'Bullet1',
    'range': false
  }, {
    'code': 'Bullet5',
    'comparable': false,
    'featureValues': [{
      'value': 'Some assembly required. No tools needed'
    }],
    'name': 'Bullet5',
    'range': false
  }, {
    'code': 'Bullet3',
    'comparable': false,
    'featureValues': [{
      'value': 'Colorfast Cotton Double Hammock'
    }],
    'name': 'Bullet3',
    'range': false
  }, {
    'code': 'Bullet4',
    'comparable': false,
    'featureValues': [{
      'value': 'Polyester Carry Case Included'
    }],
    'name': 'Bullet4',
    'range': false
  }, {
    'code': 'Bullet2',
    'comparable': false,
    'featureValues': [{
      'value': 'Powder Coated Steel'
    }],
    'name': 'Bullet2',
    'range': false
  }],
  'productReferences': [
    {
      'referenceType' : 'PRODUCTADDON',
      'target' : {
         'code' : '1000133386',
         'name' : 'Import Dishwasher Installation Kit',
         'url' : '/product/pro-kit-import-dishwasher-installation-kit/1000133386'
      },
      'preselected' : false
   },
   {
    'referenceType' : 'PRODUCTADDON',
    'target' : {
       'code' : '1000729921',
       'name' : 'Installation Kit - Dishwasher 72 Inch',
       'url' : '/product/aqua-dynamic-installation-kit-dishwasher-72-inch/1000729921'
    },
    'preselected' : false
   },
   {
    'referenceType' : 'ACCESSORIES',
    'target' : {
       'code' : '1000789314',
       'name' : '28 cu. ft. 3-Door French Door Refrigerator with Flex Zone Drawer in Stainless Steel',
       'url' : '/en/home/p.28-cu-ft-3-door-french-door-refrigerator-with-flex-zone-drawer-in-stainless-steel.1000789314.html'
    },
    'preselected' : true
 }, {
    'referenceType' : 'ACCESSORIES',
    'target' : {
       'code' : '1000100620',
       'name' : 'Tulip Stainless Steel Passage Knob',
       'url' : '/en/home/p.tulip-stainless-steel-passage-knob.1000100620.html'
    },
    'preselected' : true
 }, {
    'referenceType' : 'ACCESSORIES',
    'target' : {
       'code' : '1000100621',
       'name' : 'Tulip Stainless Steel Privacy Knob',
       'url' : '/en/home/p.tulip-stainless-steel-privacy-knob.1000100621.html'
    },
    'preselected' : false
 }, {
    'referenceType' : 'COLLECTIONOFITEMS',
    'target' : {
       'code' : '1000659430',
       'name' : 'Olympic Passage Antique Brass Door Lever',
       'url' : '/en/home/p.olympic-passage-antique-brass-door-lever.1000659430.html'
    },
    'preselected' : false
 }

  ],
  'promotionMessages': {
  },
  'purchasable': true,
  'sellableIntent': 'X',
  'shipToStoreTime': '5 - 9',
  'shipToStoreUnit': 'Days',
  'stock': {
    'stockLevel': 0,
    'stockLevelStatus': 'outOfStock'
  },
  'storeInventoryLookup': false,
  'summary': '',
  'unitOfMeasure': 'each',
  'urls': {
    'en': '/en/home/p.8-ft-combo-steel-stand-with-double-hammock.1000755816.html',
    'fr': '/en/home/p.8-ft-combo-steel-stand-with-double-hammock.1000755816.html',
  },
  'warranty': '1 Year Warranty',
  'inlineContent': ['WEBCOLLAGE'],
  'inlineSubstitute': 'RF28HMEDBSR/AA',
  'variantOptionsSorted': [
    {
      'name': 'Size',
      'hasImage': false,
      'selectedVariantOptionQualifier': {
        'selected': true,
        'available': true,
        'value': '8X9',
        'url': '/en/home/p.8-ft-combo-steel-stand-with-double-hammock.1000755816.html',
        'code': '1000755816',
        'position': 5,
        'variantCategoryCode': 'vc-cls_l3-blinds-shades-attribute_id_SizeFamily',
        'variantValueCategoryCode': 'vvc-cls_l3-blinds-shades-attribute_id_SizeFamily-8_9'
      },
      'variantOptionQualifiers': [
        {
          'selected': false,
          'available': true,
          'value': '5X7',
          'position': 5,
          'url': '/en/home/p.8-ft-combo-steel-stand-with-double-hammock.1000755818.html',
          'code': '1000755818',
          'variantCategoryCode': 'vc-cls_l3-blinds-shades-attribute_id_SizeFamily',
          'variantValueCategoryCode': 'vvc-cls_l3-blinds-shades-attribute_id_SizeFamily-5_7'
        },
        {
          'selected': true,
          'available': true,
          'value': '8X9',
          'url': '/en/home/p.8-ft-combo-steel-stand-with-double-hammock.1000755816.html',
          'code': '1000755816',
          'position': 5,
          'variantCategoryCode': 'vc-cls_l3-blinds-shades-attribute_id_SizeFamily',
          'variantValueCategoryCode': 'vvc-cls_l3-blinds-shades-attribute_id_SizeFamily-8_9'
        }
      ]
    },
    {
      'name': 'Color',
      'hasImage': true,
      'selectedVariantOptionQualifier': {
        'selected': true,
        'available': true,
        'value': 'Yellow',
        'image': {
          'altText': 'Yellow',
          'url': 'https://images.homedepot.com/is/image/homedepotcanada/p_1001022652.jpg'
        },
        'url': '/en/home/p.8-ft-combo-steel-stand-with-double-hammock.1000755816.html',
        'code': '1000755816',
        'position': 3,
        'variantCategoryCode': 'vc-cls_l3-blinds-shades-attribute_id_ColourFamily',
        'variantValueCategoryCode': 'vvc-cls_l3-blinds-shades-attribute_id_ColourFamily-yellow'
      },
      'variantOptionQualifiers': [
        {
          'selected': false,
          'available': true,
          'value': 'Green',
          'image': {
            'altText': 'Green',
            'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1000668647.jpg'
          },
          'url': '/en/home/p.dewalt-dcd796d2-20v-max-xr-li-ion-cordless-brushless-compact-hammer-drill-kit.1000755818.html',
          'code': '1000755818',
          'position': 1,
          'variantCategoryCode': 'vc-cls_l3-blinds-shades-attribute_id_ColourFamily',
          'variantValueCategoryCode': 'vvc-cls_l3-blinds-shades-attribute_id_ColourFamily-green'
        },
        {
          'selected': true,
          'available': true,
          'value': 'Yellow',
          'image': {
            'altText': 'Yellow',
            'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg'
          },
          'url': '/en/home/p.8-ft-combo-steel-stand-with-double-hammock.1000755816.html',
          'code': '1000755816',
          'position': 3,
          'variantCategoryCode': 'vc-cls_l3-blinds-shades-attribute_id_ColourFamily',
          'variantValueCategoryCode': 'vvc-cls_l3-blinds-shades-attribute_id_ColourFamily-yellow'
        }
      ]
    }
  ],
  'classifications': [
    {
      'code': 'cls_l4-hammocks',
      'features': [
        {
          'code': 'homedepotcaClassification/1.0/cls_l4-hammocks.attribute_id_framematerial',
          'comparable': true,
          'featureValues': [{ 'value': 'Steel' }],
          'name': 'Frame Material',
          'range': false
        },
        {
          'code': 'homedepotcaClassification/1.0/cls_l4-hammocks.attribute_id_colourfamily',
          'comparable': true,
          'featureValues': [{ 'value': 'Multi-Colour' }],
          'name': 'Colour Family',
          'range': false
        },
        {
          'code': 'homedepotcaClassification/1.0/cls_l4-hammocks.attribute_id_indooroutdoor2016',
          'comparable': true,
          'featureValues': [{ 'value': 'Outdoor' }],
          'name': 'Indoor/Outdoor',
          'range': false
        },
        {
          'code': 'homedepotcaClassification/1.0/cls_l4-hammocks.attribute_id_pfwhammockstand17',
          'comparable': true,
          'featureValues': [{ 'value': 'Yes' }],
          'name': 'With Hammock Stand',
          'range': false
        },
        {
          'code': 'homedepotcaClassification/1.0/cls_l4-hammocks.attribute_id_pfpattern17',
          'comparable': true,
          'featureValues': [{ 'value': 'Stripe' }],
          'name': 'Pattern',
          'range': false
        },
        {
          'code': 'homedepotcaClassification/1.0/cls_l4-hammocks.attribute_id_pfhammockcapacity17',
          'comparable': true,
          'featureValues': [{ 'value': 'Double' }],
          'name': 'Hammock Capacity',
          'range': false
        },
        {
          'code': 'homedepotcaClassification/1.0/cls_l4-hammocks.attribute_id_material',
          'comparable': true,
          'featureValues': [{ 'value': 'Steel' }],
          'name': 'Material',
          'range': false
        },
        {
          'code': 'homedepotcaClassification/1.0/cls_l4-hammocks.attribute_id_typehammocks',
          'comparable': true,
          'featureValues': [{ 'value': 'Hammock with Stand' }],
          'name': 'Type',
          'range': false
        },
        {
          'code': 'homedepotcaClassification/1.0/cls_l4-hammocks.attribute_id_hammockmt18',
          'comparable': true,
          'featureValues': [{ 'value': 'Cotton' }],
          'name': null,
          'range': false
        }
      ],
      'name': 'Hammocks'
    },
    {
      'code': 'cls_hd-classes',
      'features': [
        {
          'code': 'homedepotcaClassification/1.0/cls_hd-classes.attribute_id_14590',
          'comparable': true,
          'featureUnit': {
            'name': 'inches',
            'symbol': 'inch',
            'unitType': 'inh'
          },
          'featureValues': [{ 'value': '108' }],
          'name': 'Assembled Depth (in inches)',
          'range': false
        },
        {
          'code': 'homedepotcaClassification/1.0/cls_hd-classes.attribute_id_14593',
          'comparable': true,
          'featureUnit': {
            'name': 'pounds',
            'symbol': 'Pounds',
            'unitType': 'lbr'
          },
          'featureValues': [{ 'value': '34' }],
          'name': 'Assembled Weight (in lbs)',
          'range': false
        }
      ],
      'name': 'Categories'
    }
  ],
  'relatedLinks': {
    'brIuid': 'aHR0cHM6Ly9xcC5ob21lZGVwb3QuY2EvZW4vaG9tZS9wLjE4LXZvbHQtbGl0aGl1bS1pb24tMTItaW4tY29yZGxlc3MtYnJ1c2hsZXNzLWNvbXBhY3QtaGFtbWVyLWRyaWxsLWtpdC4xMDAwODUxMTIyLmh0bWw=',
    'brRelatedRid': 'Rkzf1p8nb68rpaalivazt-r1,m1,uf',
    'relatedSearches': [
      {
        'anchor': 'Combo Steel Stand',
        'url': '/en/home/categories/all/events/smart-home/lighting.html'
      },
      {
        'anchor': 'Everbilt',
        'url': '/product/p.8-ft-combo-steel-stand-with-double-hammock/1000755818'
      },
      {
        'anchor': 'Klassen Bronze',
        'url': '/en/home/p.exterior-paint--primer-in-one-satin-enamel---ultra-pure-white-946-ml.1000110376.html'
      },
      {
        'anchor': 'Progress Lighting',
        'url': '/en/home/p.exterior-paint--primer-in-one-satin-enamel---ultra-pure-white-946-ml.1000538782.html'
      },
      {
        'anchor': 'Pfister',
        'url': '/en/home/p.exterior-paint--primer-in-one-satin-enamel---ultra-pure-white-946-ml.1000651582.html'
      },
      {
        'anchor': 'Home Decorators Collection',
        'url': '/en/home/p.exterior-paint--primer-in-one-satin-enamel---ultra-pure-white-946-ml.1000792019.html'
      },
      {
        'anchor': 'Home Decorators Collection Area rug',
        'url': '/en/home/p.exterior-paint--primer-in-one-satin-enamel---ultra-pure-white-946-ml.1000792020.html'
      }
    ],
    'relatedProducts': [
      {
        'productCode': '1000684347',
        'productUrl': '/product/p.8-ft-combo-steel-stand-with-double-hammock/1000755818',
        'imageUrl': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg',
        'title': 'Combo Steel Stand',
        'description': 'Base cabinets are strong and sturdy, built with 3/4 inch melamine. Full depth shelve provides extra storage. Most hardwares are already installed for a fast and easy assembly.'
      },
      {
        'productCode': '1000100109',
        'productUrl': '/product/p.8-ft-combo-steel-stand-with-double-hammock/1000100109',
        'imageUrl': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg',
        'title': 'Everbilt',
        'description': 'Base cabinets are strong and sturdy, built with 3/4 inch melamine. Full depth shelve provides extra storage. Most hardwares are already installed for a fast and easy assembly.'
      },
      {
        'productCode': '1000110376',
        'productUrl': '/product/p.8-ft-combo-steel-stand-with-double-hammock/1000110376',
        'imageUrl': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg',
        'title': 'Klassen Bronze',
        'description': 'Base cabinets are strong and sturdy, built with 3/4 inch melamine. Full depth shelve provides extra storage. Most hardwares are already installed for a fast and easy assembly.'
      },
      {
        'productCode': '1000538782',
        'productUrl': '/product/p.8-ft-combo-steel-stand-with-double-hammock/1000538782',
        'imageUrl': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg',
        'title': 'Progress Lighting',
        'description': 'Base cabinets are strong and sturdy, built with 3/4 inch melamine. Full depth shelve provides extra storage. Most hardwares are already installed for a fast and easy assembly.'
      },
      {
        'productCode': '1000651582',
        'productUrl': '/product/p.8-ft-combo-steel-stand-with-double-hammock/1000651582',
        'imageUrl': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg',
        'title': 'Pfister',
        'description': 'Base cabinets are strong and sturdy, built with 3/4 inch melamine. Full depth shelve provides extra storage. Most hardwares are already installed for a fast and easy assembly.'
      },
      {
        'productCode': '1000792019',
        'productUrl': '/product/p.8-ft-combo-steel-stand-with-double-hammock/1000792019',
        'imageUrl': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg',
        'title': 'Home Decorators Collection',
        'description': 'Base cabinets are strong and sturdy, built with 3/4 inch melamine. Full depth shelve provides extra storage. Most hardwares are already installed for a fast and easy assembly.'
      },
      {
        'productCode': '10007920920',
        'productUrl': '/product/p.8-ft-combo-steel-stand-with-double-hammock/10007920920',
        'imageUrl': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg',
        'title': 'Home Decorators Collection Area rug',
        'description': 'Base cabinets are strong and sturdy, built with 3/4 inch melamine. Full depth shelve provides extra storage. Most hardwares are already installed for a fast and easy assembly.'
      }
    ]
  }
};
const mock1000755818: ProductUnlocalizedData = {
  'gallery': [
    'https://s7d2.scene7.com/is/image/homedepotcanada/p_10007920920.jpg',
    'https://s7d2.scene7.com/is/image/homedepotcanada/p_10007920920.jpg',
    'https://s7d2.scene7.com/is/image/homedepotcanada/p_10007920920.jpg'],
  'badges': [{ code: 'NLP', name: 'NLP' }],
  'articleType': 'Z001',
  'availableForPickup': false,
  'averageRating': 3.0,
  'bodfs': false,
  'bopis': true,
  'boss': false,
  'buyable': false,
  'breadCrumbs': [{
    'title': 'Home',
    'url': '/en/home.html'
  }, {
    'title': '1000755818',
    'url': '/en/home/p.dewalt-dcd796d2-20v-max-xr-li-ion-cordless-brushless-compact-hammer-drill-kit.1000755818.html'
  }],
  'code': '1000755818',
  'countryOfOrigin': 'CN-China',
  'deliveryTime': '5 - 10',
  'deliveryUnit': 'Days',
  'depotDirect': true,
  'description': 'The Universal Hammock Stand with Double Hammock is our top choice for combos. The double hammock is made with 100% cotton, creating a comfortable refuge for an afternoon snuggle. The hammock stand is constructed of heavy duty steel and assembles in minutes without any tools. Plastic caps are used on the ends of the steel tubing to create a soft finish. You will enjoy the freedom the stand provides by allowing you to set up your hammock in the most convenient location and no longer rely on those 2 perfect trees.',
  'documents': [{
    'URL': 'https://images.homedepot.ca/s7viewers/html5/eCatalogViewer.html?config=Scene7SharedAssets/Universal_HTML5_eCatalog&asset=homedepotcanada/Energy_Guide_1000652736.pdf',
    'mime': 'application/pdf',
    'name': 'Energy_Guide_1000652736.pdf'
  },
  {
    'URL': 'https://images.homedepot.ca/s7viewers/html5/eCatalogViewer.html?config=Scene7SharedAssets/Universal_HTML5_eCatalog&asset=homedepotcanada/Energy_Guide_1000652736.pdf',
    'mime': 'application/pdf',
    'name': 'Installation_Guide_1000652736'
  }],
  'ecoFeeEligible': false,
  'freeShipping': 1,
  'images': [{
    'altText': '8 ft. Combo Steel Stand with Double Hammock',
    'format': 'desktop',
    'imageType': 'PRIMARY',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg'
  }, {
    'altText': 'DEWALT 20V MAX Lithium-Ion Cordless Drill/Driver and Impact Combo Kit with Batteries, Charger and Bag',
    'format': 'desktop',
    'imageType': 'PRIMARY',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1000658589.jpg'
  }, {
    'altText': 'Milwaukee Tool M12 12V Lithium-Ion Cordless 1/4-Inch Hex Screwdriver Kit W/(2) 1.5Ah Batteries, Charger & Tool Bag',
    'format': 'desktop',
    'imageType': 'PRIMARY',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1000859545.jpg'
  }, {
    'altText': '8 ft. Combo Steel Stand with Double Hammock',
    'format': 'desktop',
    'imageType': 'PRIMARY',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg'
  },
  {
    'altText': '8 ft. Combo Steel Stand with Double Hammock',
    'format': 'desktop',
    'imageType': 'PRIMARY',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg'
  },
  {
    'altText': '8 ft. Combo Steel Stand with Double Hammock',
    'format': 'desktop',
    'imageType': 'VIDEO',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg'
  }, {
    'altText': '8 ft. Combo Steel Stand with Double Hammock',
    'format': 'desktop',
    'imageType': 'PRIMARY',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg'
  }, {
    'altText': '8 ft. Combo Steel Stand with Double Hammock',
    'format': 'desktop',
    'imageType': 'PRIMARY',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg'
  }, {
    'altText': '8 ft. Combo Steel Stand with Double Hammock',
    'format': 'desktop',
    'imageType': 'PRIMARY',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg'
  }, {
    'altText': '8 ft. Combo Steel Stand with Double Hammock',
    'format': 'desktop',
    'imageType': 'PRIMARY',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg'
  }, {
    'altText': '8 ft. Combo Steel Stand with Double Hammock',
    'format': 'desktop',
    'imageType': 'PRIMARY',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg'
  }, {
    'altText': '8 ft. Combo Steel Stand with Double Hammock',
    'format': 'desktop',
    'imageType': 'PRIMARY',
    'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg'
  }],
  'alternateImages': [],
  'installationEligible': false,
  'isBopisOutOfAreaEnabled': true,
  'itemDepth': 51.0,
  'itemHeight': 7.0,
  'itemWeight': 35.0,
  'itemWidth': 9.0,
  'legacyId': '806324',
  'manufacturer': 'Vivere',
  'messageType': 0,
  'modelNumber': 'UHSDO8',
  'modifiedtime': '2018-03-13T14:13:35-0400',
  'name': '8 ft. Combo Steel Stand with Double Hammock',
  'numberOfQuestions': 5,
  'numberOfReviews': 2,
  'price': {
    'currencyIso': 'CAD',
    'formattedValue': '$58.16',
    'priceType': 'BUY',
    'value': 58.16
  },
  'productFeatures': [{
    'code': 'Bullet1',
    'comparable': false,
    'featureValues': [{
      'value': 'Capacity: 450 lbs.'
    }],
    'name': 'Bullet1',
    'range': false
  }, {
    'code': 'Bullet5',
    'comparable': false,
    'featureValues': [{
      'value': 'Some assembly required. No tools needed'
    }],
    'name': 'Bullet5',
    'range': false
  }, {
    'code': 'Bullet3',
    'comparable': false,
    'featureValues': [{
      'value': 'Colorfast Cotton Double Hammock'
    }],
    'name': 'Bullet3',
    'range': false
  }, {
    'code': 'Bullet4',
    'comparable': false,
    'featureValues': [{
      'value': 'Polyester Carry Case Included'
    }],
    'name': 'Bullet4',
    'range': false
  }, {
    'code': 'Bullet2',
    'comparable': false,
    'featureValues': [{
      'value': 'Powder Coated Steel'
    }],
    'name': 'Bullet2',
    'range': false
  }],
  'promotionMessages': {
  },
  'purchasable': true,
  'sellableIntent': 'S',
  'shipToStoreTime': '5 - 9',
  'shipToStoreUnit': 'Days',
  'stock': {
    'stockLevel': 1000,
    'stockLevelStatus': 'inStock'
  },
  'storeInventoryLookup': true,
  'summary': '',
  'unitOfMeasure': 'each',
  'urls': {
    'en': '/en/home/p.8-ft-combo-steel-stand-with-double-hammock.1000755816.html',
    'fr': '/en/home/p.8-ft-combo-steel-stand-with-double-hammock.1000755816.html',
  },
  'warranty': '1 Year Warranty',
  'inlineContent': ['WEBCOLLAGE'],
  'inlineSubstitute': 'RF28HMEDBSR/AA',
  'variantOptionsSorted': [
    {
      'name': 'Color',
      'hasImage': true,
      'selectedVariantOptionQualifier': {
        'selected': true,
        'available': true,
        'value': 'Green',
        'image': {
          'altText': 'Green',
          'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1000668647.jpg'
        },
        'url': '/en/home/p.8-ft-combo-steel-stand-with-double-hammock.1000755818.html',
        'code': '1000755818',
        'position': 1,
        'variantCategoryCode': 'vc-cls_l3-blinds-shades-attribute_id_ColourFamily',
        'variantValueCategoryCode': 'vvc-cls_l3-blinds-shades-attribute_id_ColourFamily-green'
      },
      'variantOptionQualifiers': [
        {
          'selected': true,
          'available': true,
          'value': 'Green',
          'image': {
            'altText': 'Green',
            'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1000668647.jpg'
          },
          'url': '/en/home/p.8-ft-combo-steel-stand-with-double-hammock.1000755818.html',
          'code': '1000755818',
          'position': 1,
          'variantCategoryCode': 'vc-cls_l3-blinds-shades-attribute_id_ColourFamily',
          'variantValueCategoryCode': 'vvc-cls_l3-blinds-shades-attribute_id_ColourFamily-green'
        },
        {
          'selected': false,
          'available': true,
          'value': 'Yellow',
          'image': {
            'altText': 'Yellow',
            'url': 'https://s7d2.scene7.com/is/image/homedepotcanada/p_1001022652.jpg'
          },
          'url': '/en/home/p.8-ft-combo-steel-stand-with-double-hammock.1000755816.html',
          'code': '1000755816',
          'position': 3,
          'variantCategoryCode': 'vc-cls_l3-blinds-shades-attribute_id_ColourFamily',
          'variantValueCategoryCode': 'vvc-cls_l3-blinds-shades-attribute_id_ColourFamily-yellow'
        }
      ]
    },
    {
      'name': 'Size',
      'hasImage': false,
      'selectedVariantOptionQualifier': {
        'selected': true,
        'available': true,
        'value': '5X7',
        'url': '/en/home/p.8-ft-combo-steel-stand-with-double-hammock.1000755818.html',
        'code': '1000755818',
        'position': 5,
        'variantCategoryCode': 'vc-cls_l3-blinds-shades-attribute_id_SizeFamily',
        'variantValueCategoryCode': 'vvc-cls_l3-blinds-shades-attribute_id_SizeFamily-5_7'
      },
      'variantOptionQualifiers': [
        {
          'selected': true,
          'available': true,
          'value': '5X7',
          'url': '/en/home/p.8-ft-combo-steel-stand-with-double-hammock.1000755818.html',
          'code': '1000755818',
          'position': 5,
          'variantCategoryCode': 'vc-cls_l3-blinds-shades-attribute_id_SizeFamily',
          'variantValueCategoryCode': 'vvc-cls_l3-blinds-shades-attribute_id_SizeFamily-5_7'
        },
        {
          'selected': false,
          'available': true,
          'value': '8X9',
          'position': 5,
          'url': '/en/home/p.8-ft-combo-steel-stand-with-double-hammock.1000755816.html',
          'code': '1000755816',
          'variantCategoryCode': 'vc-cls_l3-blinds-shades-attribute_id_SizeFamily',
          'variantValueCategoryCode': 'vvc-cls_l3-blinds-shades-attribute_id_SizeFamily-8_9'
        }
      ]
    }
  ],
};

export const mockProductUnlocalizedData = { ...mock1000755816 };

export const mockMultipleProductUnlocalizedData = {
  '1000755816': mock1000755816,
  '1000755818': mock1000755818
};
