import { NgModule, ModuleWithProviders } from '@angular/core';
import { DialogComponent } from './components/dialog/dialog.component';
import { AlertComponent } from './components/alert-dialog/alert.component';
import { CommonModule } from '@angular/common';
import { TranslateModule } from '@ngx-translate/core';
import { DialogService } from './services/dialog/dialog.service';

@NgModule({
  imports: [
    CommonModule,
    TranslateModule
  ],
  declarations: [DialogComponent, AlertComponent],
  exports: [DialogComponent, AlertComponent],
  entryComponents: [DialogComponent, AlertComponent]
})
export class HDCADialogModule {
  static forRoot(): ModuleWithProviders {
    return {
      ngModule: HDCADialogModule,
      providers: [DialogService]
    };
  }
}
