// https://karma-runner.github.io/1.0/config/configuration-file.html

// const puppeteer = require('puppeteer');
// process.env.CHROME_BIN = puppeteer.executablePath();

module.exports = function (config) {
  config.set({
    basePath: '',
    frameworks: ['jasmine', '@angular-devkit/build-angular', 'karma-typescript'],
    plugins: [
      require('karma-jasmine'),
      require('karma-jasmine-html-reporter'),
      require('karma-typescript'),
      require('karma-chrome-launcher'),
      require('karma-coverage-istanbul-reporter'),
      require('@angular-devkit/build-angular/plugins/karma')
    ],
    client:{
      clearContext: false // leave Jasmine Spec Runner output visible in browser
    },
    coverageIstanbulReporter: {
      // other configuration...
      reports: ['istanbul-hdca-report'],
      summarizer: 'flat', // required for custom reporter to work
      'report-config': {
        'istanbul-hdca-report': {
          projectPath: 'app/modules'
        }
      }
    },
    angularCli: {
      environment: 'dev'
    },
    reporters: ['progress', 'kjhtml'],
    port: 9876,
    colors: true,
    logLevel: config.LOG_INFO,
    autoWatch: true,
    customLaunchers: {
      ChromeHeadless: {
        base: 'Chrome',
        flags: [
          '--headless',
          '--disable-gpu',
          '--no-sandbox',
          '--remote-debugging-port=9222',
          '--disable-extensions',
          '--disable-web-security',
          '--disable-gpu',
          '--disable-translate',
        ]
      }
    },
    browsers: ['ChromeHeadless'],
    singleRun: true,
    webpack: { node: { fs: 'empty', } }
  });
};
