import { Scripts } from '../models/scripts.interface';

export const ScriptList: Scripts[] = [
    {
        name: 'script_name_js',
        source: (org_id: string, merchant_id: string, session_id: string): string => `script_source?org_id=${org_id}&session_id=${merchant_id}${session_id}`
    },
    {
        name: 'flixmedia.js',
        source: (lang_cd: string, mpn_id: string): string => `https://media.flixfacts.com/js/loader.js?data-flix-distributor=7202&data-flix-language=${lang_cd}&data-flix-mpn=${mpn_id}&data-flix-button=flix-minisite&data-flix-inpage=flix-inpage`
    },
    {
        name: 'webcollage.js',
        source: (): string => `https://scontent.webcollage.net/api/v2/product-content`
    },
    {
        name: 'bazaarvoice.js',
        source: (scriptUrl: string): string => scriptUrl
    },
    {
        name: 'bv_review_pro.js',
        source: (scriptUrl: string): string => scriptUrl
    },
    {
        name: 'wishabi.js',
        source: (scriptUrl: string): string => scriptUrl
    },
    {
        name: 'certona_resonance.js',
        source: (): string => `https://edge1.certona.net/cd/becdd454/homedepot.ca/scripts/resonance.js`
    }
];

export const fingerPrintInfos = {
    NAME: 'script_name_js',
    ORG_ID_DEV: '1snn5n9w',
    ORG_ID_PROD: 'k8vif92e',
    MERCHANT_ID: 'homedepot_ca'
};

export const scriptStatus = {
    ERROR: 'Error loaded',
    LOADED: 'Loaded'
};
