import { LanguageGuard } from '@shared/routes/language.guard';
import { Router } from '@angular/router';
import { LanguageService } from '@shared/services/router-language/route-language.service';

export const ui = null;
export const accessibility = null;
describe('Cart 2.0', () => {
    describe('LanguageGuard', () => {
        let languageServiceMock: jasmine.SpyObj<LanguageService>;
        let routerMock: jasmine.SpyObj<Router>;
        let languageGuard: LanguageGuard;
        beforeEach(() => {
            routerMock = jasmine.createSpyObj<Router>('Router', ['navigate']);
            languageServiceMock = jasmine.createSpyObj<LanguageService>('LanguageService', ['getLanguage', 'setLanguage']);
            languageGuard = new LanguageGuard(languageServiceMock, routerMock);
        });
        it('should have LanguageGuard defined', () => {
            expect(languageGuard).toBeTruthy();
        });
        it('should have langSub as `Undefined`', () => {
            expect(languageGuard.langSub).toBeUndefined();
        });
        it('should have ngOnDestroy method created', () => {
            expect(languageGuard.ngOnDestroy).toBeTruthy();
        });
        it('should have canActivate method created', () => {
            expect(languageGuard.canActivate).toBeTruthy();
        });
    });
});
