import { Injectable } from '@angular/core';
import {
    addMonths,
    subMonths,
    parse,
    isDate,
    startOfWeek,
    endOfWeek,
    startOfMonth,
    endOfMonth,
    eachDay,
    format,
    isEqual,
    differenceInMonths,
    differenceInMilliseconds,
    getMonth,
    getYear,
    isSunday,
    isToday} from 'date-fns';

@Injectable()
export class DateTimeService {

    monthKeys = ['JAN', 'FEB', 'MAR', 'APR', 'MAY', 'JUN', 'JUL', 'AUG', 'SEP', 'OCT', 'NOV', 'DEC'];

    constructor() { }

    getPrevMonth(date: Date) {
        return subMonths(date, 1);
    }

    getNextMonth(date: Date) {
        return addMonths(date, 1);
    }

    parse(dateString) {
        return parse(dateString);
    }

    isDate(date) {
        return isDate(date);
    }

    startOfWeek(date) {
        return startOfWeek(date);
    }

    endOfWeek(date) {
        return endOfWeek(date);
    }

    startOfMonth(date) {
        return startOfMonth(date);
    }

    endOfMonth(date) {
        return endOfMonth(date);
    }

    eachDay(date1, date2) {
        return eachDay(date1, date2);
    }

    getFormattedDate(date, dateFormat) {
        return format(date, dateFormat);
    }

    isEqual(date1, date2) {
        return isEqual(date1, date2);
    }

    differenceInMonths(date1, date2) {
        return differenceInMonths(date1, date2);
    }

    differenceInMilliseconds(date1, date2) {
        return differenceInMilliseconds(date1, date2);
    }

    getMonth(date) {
        return getMonth(date);
    }

    getYear(date) {
        return getYear(date);
    }

    isSunday(date) {
        return isSunday(date);
    }

    isToday(date) {
        return isToday(date);
    }
}
