import {CookieService} from 'ngx-cookie';
import {StoreService} from '@shared/services/store/store.service';

describe('Store', () => {
    const cookieServiceMock: jasmine.SpyObj<CookieService> = jasmine.createSpyObj('CookieService', ['get']);
    const storeService: StoreService = new StoreService(cookieServiceMock);

    it('should return store 7001', () => {
        const cookies = {'store': '7001'};
        cookieServiceMock.get.and.callFake((cookieName) => cookies[cookieName]);
        expect(storeService.getStore()).toEqual('7001');
    });

    it('should return null', () => {
        cookieServiceMock.get.and.callFake(() => null);
        expect(storeService.getStore()).toBeNull();
    });
});
