import { UserDetailsService } from '@shared/services/user-details/user-details.service';
import { CookieService } from 'ngx-cookie';
import { UserInfoService } from '@shared/services/user-info/user-info.service';
import { UserConstants } from '@shared/constants/user.constants';

export const ui = null;
export const accessibility = null;

describe('ProOnboarding', () => {
    describe('UserDetailsService', () => {
        let userCookieServiceMock: jasmine.SpyObj<CookieService>;
        let userInfoServiceMock: jasmine.SpyObj<UserInfoService>;
        let component: UserDetailsService;

        beforeEach(() => {
            userCookieServiceMock = jasmine.createSpyObj<CookieService>('CookieService', ['get', 'put']);
            userInfoServiceMock = jasmine.createSpyObj<UserInfoService>('UserInfoService', {'getUserAccountData': {email: 'test@test.com'}});
            component = new UserDetailsService(userCookieServiceMock, userInfoServiceMock);
        });
        it('should have method `getUserId` created', () => {
            component.getUserId();
            expect(component.getUserId).toBeDefined();
        });
        it('should fetch user id from cookie', () => {
            const email = 'test@test.com';
            userCookieServiceMock.put(UserConstants.CUSTOMER_ID, email);
            component = new UserDetailsService(userCookieServiceMock, userInfoServiceMock);
            component.getUserId();
            expect(component.userId).toEqual(email);
        });
    });
});
