/**
 * Handle to get environment name base one the browser hostname
 * For example: `dev`, `qa`, `qp` or `production`
 * return {string} - string environment name such as `dev`, `qa`, `qp` or `production`
 */
export const getEnvironmentName = (): string => {
    const hostName = typeof window !== 'undefined' ? window.location.hostname : '';
    const envName = hostName.replace(/(www.)?/i, '').split('.')[0];
    switch (envName) {
        case 'qa':
        case 'qa-gcp':
            return 'qa';
        case 'qp':
        case 'qp-gcp':
            return 'qp';
        case 'homedepot':
            return 'production';
        default:
            return 'dev';
    }
};
