const path = require('path');
const fs = require('fs-extra');
const rimraf = require('rimraf');

const srcPath = path.resolve(__dirname, '../node_modules/@hdca');
const destFolder = path.resolve(__dirname, '../src/node-assets/');
const SCFolder = path.resolve(__dirname, '../src/node-assets/service-connect-assets');
const GHFolder = path.resolve(__dirname, '../src/node-assets/core-assets');
const CFolder = path.resolve(__dirname, '../src/node-assets/cart-assets');
const PRFolder = path.resolve(__dirname, '../src/node-assets/pro-referral-assets');
const PIPFolder = path.resolve(__dirname, '../src/node-assets/pip-assets');
const ACLFolder = path.resolve(__dirname, '../src/node-assets/fe-angular-cl');
const SharedFolder = path.resolve(__dirname, '../src/node-assets/fe-angular-shared');

rimraf(SCFolder, function () {
  rimraf(GHFolder, function () {
    rimraf(CFolder, function () {
      rimraf(PRFolder, function () {
        rimraf(PIPFolder, function () {
          console.log('all cleaned up!');
          fs.copy(srcPath, destFolder, function (err) {
            if (err) {
              return console.error(err);
            }
            console.log('succesfully copied fe-component-library assets to src/node-assets!');
            rimraf(ACLFolder, function () {
              console.log('succesfully removed fe-angular-cl from src/node-assets!');
            });
            rimraf(SharedFolder, function () {
              console.log('succesfully removed fe-angular-shared from src/node-assets!');
            });
          });
        });
      });
    })
  });
});
