import { Injectable } from '@angular/core';
import { EventTrackerLogEntry } from '../models/event-tracker.interface';
import { BasicPayload } from '../models/adobe-analytics-data-layer-models.interface';

@Injectable()
export class EventTrackerPayloadService {
    constructor() {}

    /**
     *  TODO: Payload needs to be finalized. Please remove this comment at that point.
     */
    getEventLogAnalyticsPayload(payload: BasicPayload, whitelist?: string[]): EventTrackerLogEntry {
      return {
        eventType: payload.event.type,
        eventTarget: null,
        timestamp: payload.event.timestamp,
        whitelisted: !!whitelist && whitelist.includes(payload.event.type),
        pageName: payload.event.page,
        pageLanguage: payload.event.language,
        userStatus: payload.user.guestStatus,
        userEmail: payload.user.profile.profileInfo.email,
        userLanguage: payload.user.profile.profileInfo.language,
        userProfileId: payload.user.profile.profileInfo.profileId,
        userType: payload.user.profile.profileInfo.type,
        payload: null
      };
    }

    /**
     *  TODO: Payload needs to be finalized. Please remove this comment at that point.
     */
    getHttpEventLogWebPerformancePayload(payload: any, whitelist?: string[]): EventTrackerLogEntry {
      return {
        eventType: payload.type,
        eventTarget: payload.payload.url,
        timestamp: payload.payload.completeTime,
        whitelisted: !!whitelist && whitelist.includes(payload.type),
        pageName: null,
        pageLanguage: null,
        userStatus: null,
        userEmail: null,
        userLanguage: null,
        userProfileId: null,
        userType: null,
        payload: null
      };
    }

    getComponentEventLogWebPerformancePayload(payload: any, whitelist?: string[]): EventTrackerLogEntry {
      return {
        eventType: payload.type,
        eventTarget: payload.componentName,
        timestamp: null,
        whitelisted: !!whitelist && whitelist.includes(payload.type),
        pageName: null,
        pageLanguage: null,
        userStatus: null,
        userEmail: null,
        userLanguage: null,
        userProfileId: null,
        userType: null,
        payload: null
      };
    }

    /**
     *  TODO: Payload needs to be finalized. Please remove this comment at that point.
     */
    getEventLogWhitelistPayload(payload: any): EventTrackerLogEntry {
      return {
        eventType: null,
        eventTarget: null,
        timestamp: null,
        whitelisted: true,
        pageName: null,
        pageLanguage: null,
        userStatus: null,
        userEmail: null,
        userLanguage: null,
        userProfileId: null,
        userType: null,
        payload: null
      };
    }

}
